################################################################################
#
#
# procedures for executing Tcl scipts
#
################################################################################
#
 
proc execTclScript {} {
    global selectedfile
    set dialog [tix filedialog tixExFileSelectDialog]
    $dialog config -command ExecTclStoreFilename
    $dialog subwidget fsbox config -filetypes {
        {{*.tcl} {*.tcl -- Tcl Scripts}}
        {{*}     {*     -- All files}}
    }
    $dialog popup
    tkwait variable selectedfile
    catch { source $selectedfile} error_code
    on_error_message $error_code $selectedfile
}


proc Wrapper_TryCall { trans } {
    pdialog dotransaction $trans ""
}

proc ExecTclStoreFilename {file} {
    global selectedfile
    set selectedfile $file
}

return ok
