/*********************************************/
/* With kind permission from Curtis Hrischuk */
/*********************************************/

#ifndef __ANGIOUTILS__H__
#define __ANGIOUTILS__H__
/*************************************************************************
** $Source: /home/projects/prom3/CVS/develop/ImportedFunctions/AngioUtils.h,v $
** $Revision: 1.1 $
** $Date: 1998/01/16 13:59:47 $
** $State: Exp $
*************************************************************************/

/************************************************************************
** PROTOTYPES
*/

void	AuStoreNodeExternal(	int* ret_val, FUFile* fh, PGCMString* id, PGCMString* app_name);
void	AuStoreNodeBegin(	int* ret_val, FUFile* fh, PGCMString* id, PGCMString* task_id, int* task_per);
void	AuStoreNodeEnd(		int* ret_val, FUFile* fh, PGCMString* id, PGCMString* task_id, int* task_per);
void	AuStoreNodeActivity(	int* ret_val, FUFile* fh, PGCMString* id, PGCMString* task_id, int* task_per, PGCMString* outString);
void	AuStoreNodeJoin(	int* ret_val, FUFile* fh, PGCMString* id, PGCMString* task_id, int* task_per);
void	AuStoreNodeFork(	int* ret_val, FUFile* fh, PGCMString* id, PGCMString* task_name, int* task_per);

void    AuStoreNodeActivityProper(int* ret_val, FUFile* fh, PGCMString* id, PGCMString* outString);
void	AuStoreNodeProper(	int* ret_val, FUFile* fh, PGCMString* type, PGCMString* id);
void	AuStoreEdgeProper(	        int* ret_val, FUFile* fh, PGCMString* fromid, PGCMString* toid, PGCMString* type);

void	AuStoreEdgeStart(	int* ret_val, FUFile* fh, PGCMString* fromid, PGCMString* toid);
void	AuStoreEdgeNextTask(	int* ret_val, FUFile* fh, PGCMString* fromid, PGCMString* toid);
void	AuStoreEdgeNextApp(	int* ret_val, FUFile* fh, PGCMString* fromid, PGCMString* toid);
void	AuStoreEdgeFork(	int* ret_val, FUFile* fh, PGCMString* fromid, PGCMString* toid);
void	AuStoreEdgeNextPeriod(	int* ret_val, FUFile* fh, PGCMString* fromid, PGCMString* toid);

void	AuDebugSet(		BOOLEAN * set, BOOLEAN * ret );

/*************************************************************************
** $Header: /home/projects/prom3/CVS/develop/ImportedFunctions/AngioUtils.h,v 1.1 1998/01/16 13:59:47 prom3 Exp $
** $Log: AngioUtils.h,v $
** Revision 1.1  1998/01/16 13:59:47  prom3
** Neue importierte Funktionen aus Ottawa. -ajw
**
** Revision 1.2  1997/10/31 15:35:47  ceh
** *** empty log message ***
**
** Revision 1.1  1997/10/20 13:42:25  ceh
** Initial revision
**
** Revision 1.1  1997/04/03 19:23:50  ceh
** Initial revision
**
*/
#endif
