/****************/
/* ExecSystem.h */
/****************/

/************************************************/
/* header file for imported types and functions */
/************************************************/


#include "C_PGC.h"



/****************************************/
/* type definition of the imported type */
/****************************************/


/******************************************************/
/* interface of standard functions for imported types */
/******************************************************/

/* The following three procedures are obligatory in connection
 * with an imported type. They must not be used in the specification
 * explicitely, but they are needed for internal use (e.g. conversion
 * from text to string and vice versa. */
/* Note: The procedure names and the parameters (type and order) are important.
 * The convention is, that in procedures results are returned as the first  
 * parameter. */

/*
void ExecSys_Size (int *);

void ExecSys_ValueToString (PGCMString *, FUFile ExecSys *);

void ExecSys_StringToValue (ExecSys *, PGCMString *);
*/

/************************************************/
/* interface of user-defined imported functions */
/************************************************/

void ExecSystemCall (int* retvalue, PGCMString* command);
