/*********************************************************************/
/*                                                                   */
/* Copyright 1994/95/96 Carsten Friedrich, University of Passau.     */
/*                                                                   */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/*********************************************************************/
//-*-Mode: C++;-*-
#ifndef FFEDGELABEL
#define FFEDGELABEL

#include "FFLabelClass.h"
class FFEdgeClass;

//---- newclass -----------------------------------------------------------
#define ffEdgeLabel String("FFEdgeLabel")

class FFEdgeLabel : public FFLabelClass
{
friend class FFEdgeClass;

protected:
  FFEdgeClass *edge;

public:
  inline FFEdgeLabel(){edge = NULL;
    _setType(ffEdgeLabel);}
  inline virtual void init( FFEdgeClass *e) { edge = e; }
  virtual FFEdgeLabel *proto() const = NULL;
  inline virtual ~FFEdgeLabel(){}
};

#endif
