/*********************************************************************/
/*                                                                   */
/* Copyright 1994/95/96 Carsten Friedrich, University of Passau.     */
/*                                                                   */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/*********************************************************************/
//-*-Mode: C++;-*-
#ifndef FF_SUBGRAPHLABEL
#define FF_SUBGRAPHLABEL

#if __GNUG__ >= 2
#  pragma interface
#endif

#include <globdefs.h>
#include <String.h>
#include <ffgraph/FFGraph.h>
#include <ffgraph/FFNodeLabel.h>

//---- newclass -----------------------------------------------------------
#define ffSubGraphLabel String("FFSubGraphLabel")

class FFSubGraphLabel: public FFNodeLabel
{

  BOOL hasGraph;
  FFGraph derGraph;
public:
  FFGraph& getGraph() {return derGraph;}
  virtual FFNodeLabel *proto() const 
  {return (FFNodeLabel *)new FFSubGraphLabel;}
  
  virtual BOOL parse(const String& );
  virtual String unparse();
  virtual BOOL isInspectable() const {return YES;}
  
  FFSubGraphLabel() 
  { _setType(ffSubGraphLabel); hasGraph = NO;}

  virtual BOOL isSaveable() const {return YES;}
  //	virtual const String& type() const {return ffSubGraphLabel;}
};

#endif
