# "stringReplace" replaces ALL occurences of >>search<< with >>replace<< in >>in<< and returns the result as string 
# example: set result [stringReplace "uu" "u" "Juergen ist suuper suuuper"]
# => $result=="Juergen ist super suuper" VORSICHT! uuu wird nur zu uu ersetzt !
proc stringReplace {search replace in} {
    set after $in
    set out ""
    while {[set pos [string first $search $after]] != -1} {
	set before [string range $after 0 [expr $pos-1]]
	set pos [expr $pos +[string length $search] ]
	set after  [string range $after $pos end]
	set out $out$before$replace
    }
    set out $out$after
    return $out
}

return ok
