# dirk broens, 04-98
#
# Einbinden in stdGraph.tcl
# tkwait am Ende der Prozedur nicht vergessen !!
# Aufruf von xf in proto_start.tcl
# fertig!

proc docManWin {} {

set db .docManWin

toplevel $db

frame $db.top -border 1 -relief raised

frame $db.left
frame $db.right

set settings ""
set view_type ""

# set types

set types {PERT}

# get all settings-files from $GENDIR (*.set)

global GENDIR
cd "$GENDIR"

# cut off file-extension

set trimed_files ""
set files [glob -nocomplain *.set]
foreach file $files {
    
    set length [string length $file]
    set length [expr $length - 5]
    set cutoff [string range  $file 0 $length]
    set trimed_files "$trimed_files $cutoff"

}
set files $trimed_files


# Option Menues


    tixComboBox $db.left.type -label "View Type : " \
	-dropdown true -variable view_type -editable false \
	-options {
	    label.width  19
	    label.anchor e
	} 

foreach type $types {$db.left.type insert end $type}

     tixComboBox $db.left.settings -label "View Settings : " \
 	-dropdown true -variable settings -editable true \
        -selectmode immediate \
 	-options {
 	    label.width  19
 	    label.anchor e
 	}

foreach file $files {$db.left.settings insert end $file}

tixSetSilent $db.left.type PERT

#  pack components 

pack $db.left.settings $db.left.type -side top -anchor w -pady 3 -padx 6
pack $db.left  -side left 
pack $db.right -side right


#  buttons

tixButtonBox $db.right.box -orientation vertical
$db.right.box  add open_view        -text "Open View"                    -command {_openView $view_type $settings}      -width 15  
$db.right.box  add open_settings    -text "Edit Settings"                -command {_openSettings $settings}             -width 15
#$db.right.box  add read_settings    -text "Read Settings"                -command {_readSettings $settings}             -width 15 -foreground red
#$db.right.box  add open_info        -text "Table"                        -command {_openMainTable}                      -width 15 -foreground red
#$db.right.box  add exec_list        -text "Settings ausfuehren"          -command {execList $settings}                  -width 15 -foreground red
$db.right.box  add quit             -text "Close DocMan"                 -command {destroy .docManWin}                  -width 15

pack $db.right.box 

pack $db

tkwait window $db

}


proc _openView {view_type settings} {
  openView $settings
}

proc _readSettings {settings} {
  readViewSettings $settings
}




proc _openMainTable {} {
  openMainTable
}

proc _openSettings {settings} {
    
    puts $settings

    if {$settings != ""} {
    openSettings  
    viewManWin $settings
    }
}

proc _deleteSettings {} {


}


return ok
