# dirk broens, 04-98
#
# executes a list of transactions
# parameter: filename (for *.set files in $GENDIR)
# this proc is a little bit diffrent from chP() in vieManWin.tcl but has (i hope so) the same functionality
# there was some whitespace I had to get rid of

proc execList {filename}  {

puts "file: $filename"

global NumberOfParameter

#

global GENDIR
cd $GENDIR

if {[file exists $filename\.set] == 1} {

set fileId [open "$GENDIR/$filename.set" r]
gets $fileId dummy
gets $fileId dummy
gets $fileId dummy

gets $fileId entry

#######################################################################################################################
# read one line AND execute

while {$entry != "EOF"} {

# split entry into transaction and ( )

set parameter ""
set transaction ""

puts "act_line: $entry"

    regexp {(\()(.*)(\))} $entry x1 x2 parameter
    regexp {(.*)\(.*\)} $entry dummy transaction

puts "EXEC: $transaction ($parameter)"

# get rid of one whitespace at the end of the string (I don't know where it comes from)
    set transaction [string trim $transaction]


# all used parameters and their correspondig TCL-variables must be globals =>
# global $"transactionname+0,1,2,.....#ofParameters" -> see wrapper.tcl (generated from PROGRES)

getNumberOfParameter $transaction

set i 0
while {$i < $NumberOfParameter} {
  global $transaction$i
  puts $transaction$i
set i [expr $i+1]   
}

# execute transaction + parameter
if {$NumberOfParameter != 0} then {

# replace all "," in $parameter with " "
regsub -all "," $parameter " " parameter

# fill the corresponding variables "transactionname+0,1,2,.....#ofParameters"
 



set i 0
foreach entry $parameter {
    set $transaction$i $entry
    puts "$transaction$i"
    set i [expr $i+1]
}

}

pdialog dotransaction $transaction $transaction

gets $fileId entry

}

}

close $fileId

}

return ok


