proc calldialog {name topLevel menuName} {
    global evalinstr

    #
    # die globale Variable evalinstr wird als nebeneffekt von geteval gesetzt
    # falls in dem Parameter topLevel etwas steht, so wird innerhalb des gerufenen 
    # dialogs ein Properties... button erscheinen.
    
    if {[string length $topLevel] == 0} {
	set evalresult [pdialog dodialog $name $menuName]
    } else {
	set evalresult [pdialog dodialogprops $name $menuName]
    }
    
    while {$evalresult=="Properties"} {
	if {$evalresult=="Properties"} {
#	    pdialog doprops $name $topLevel $menuName

	    set newMenuName [pdialog doprops $name $topLevel $menuName]
# warum hier der menuName (== Fenstertitel) umgesetzt wird, weiss kein Mensch (mehr)!!
# Problem: bei Druecken OK-Button im Properties-Dialog wird 'ok' zurueckgegeben
# und somit der Fenstertitel ueberschrieben
# bis auf weiteres deaktiviert
# @rolf 10.3.98
#	    if {[string compare $newMenuName "Abbruch"] != 0} {
#		set menuName $newMenuName
#	    }
	    set evalresult [pdialog dodialogprops $name $menuName]
	}
    }

    if {$evalresult=="ok"} {
	update
	pdialog dotransaction $name $menuName
    }

    
    unset evalresult
    DisplayRootPresentations
}

proc calltransaction name {
    # Use only to call special functions initialized in Proto.c
    update
    pdialog dotransaction $name ""
    DisplayRootPresentations
}


#######################
# direkter Aufruf von Progres-Transaktionen
proc do {rule args} {
   #Zugriff auf Parameter vorbereiten
   set i 0
   foreach p $args {
      global $rule$i
      set $rule$i $p
      set i [expr $i+1]
   }

   #Transaktion aufrufen
   pdialog dotransaction $rule
   DisplayRootPresentations
}

proc gvset {gvname gvvalue} {
   variabletool setvalue $gvname $gvvalue
   variabletool showvariables
}

proc gvget gvname {
   variabletool getvalue $gvname
}

return ok