/* Headerdatei fuer PGC. */
/* Automatisch generiert */
/* Typedeklarationen stehen in C_Global.h in Abschnitt PGC */
#include <m3_aox.h>

#if !defined (C_PGC_h_)
#define C_PGC_h_

#ifdef __cplusplus
extern "C" {
#endif

#include <ansi.h>
#include <string.h>
#include <stdio.h>
#include <rgglobal.h>
#include <CTypesForM3.h>
#include <C_Local.h>
#include <C_DynamicLinkHandler.h>

void PGCInitRuntime(int argc, char** argv, char** envp);

/**************************************************************************
 *                                                                        *
 *  PROGRES environment: an integrated set of tools for PROgramming       *
 *                       with Graph REwriting Systems.                    *
 *                                                                        *
 *  Copyright (C) 1987-1992  Lehrstuhl Informatik III, RWTH Aachen        *
 *                                                                        *
 *  This library is free software; you can redistribute it and/or         *
 *  modify it under the terms of the GNU Library General Public           *
 *  License as published by the Free Software Foundation; either          *
 *  version 2 of the License, or (at your option) any later version.      *
 *                                                                        *
 *  This library is distributed in the hope that it will be useful,       *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *  Library General Public License for more details.                      *
 *                                                                        *
 *  You should have received a copy of the GNU Library General Public     *
 *  License along with this library; if not, write to the Free            *
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.    *
 *                                                                        *
 *  Contact Adresses:                                                     *
 *                                                                        *
 *      Dr. Andy Sch"urr (or Cornelia Weigmann OR Albert Zuendorf)        *
 *      Lehrstuhl f"ur Informatik III,                                    *
 *      University of Technology Aachen (RWTH Aachen),                    *
 *      Ahornstr. 55,                                                     *
 *      D-5100 Aachen                                                     *
 *                                                                        *
 *  Email to                                                              *
 *                                                                        *
 *      albert@rwthi3.informatik.rwth-aachen.de                           *
 *      andy@rwthi3.informatik.rwth-aachen.de                             *
 *      cornelia@rwthi3.informatik.rwth-aachen.de (for technical support) *
 *                                                                        *
 **************************************************************************/
/********************************************************************
 * Funktionaler Modul mit Hilfsprozeduren fuer die Ausfuehrung von  *
 * generierten Modula-2-Programmen.                                 *
 *                                                                  *
  $Author: muench $
   $Revision: 1.30.2.7 $
   $Date: 2000/08/09 13:14:31 $
   $State: Exp $
   $Log: PGC.i3,v $
   Revision 1.30.2.7  2000/08/09 13:14:31  muench
   Andy hat mal aufgeraeumt. Die Variablen, die bestimmen, ob ein BrowserUpdate
   durchgefuehrt werden soll oder nicht, sind nun nicht mehr vom Typ boolean,
   sondern CARDINAL. So kann man die Enable/DisableUpdate mitzaehlen. Das wird
   wohl fuer zukuenftige Aenderungen am Tcl/Tk-basierten Prototypen hilfreich
   werden (wenn ich Andy richtig verstanden habe). [mm]

   Revision 1.30.2.6  2000/06/02 16:07:59  muench
   Delay/ReleaseActionExecution durchgeschleift. [mm]

   Revision 1.30.2.5  1999/10/29 08:34:34  muench
   Da sind die BrowserUpdate Parameter bei den Prozeduren Begin- und EndTransaction
   verloren gegangen. Gott weiss, was CVS da wieder getrieben hat... :-( [mm]

   Revision 1.30.2.4  1999/10/28 12:44:05  muench
   Implementierung des Befehls StrPos hinzugefuegt. [mm]

   Revision 1.30.2.3  1999/10/21 15:53:21  muench
   Bereits gemachte Bugfixes, die bei der Umstellung auf eine aeltere Version
   unter ~progres verloren gingen, nachgezogen. [mm]

   Revision 1.35  1998/12/16 17:39:54  prom3
   In PGC.i3 sind keine Funktionen erlaubt, die RECORDs oder ARRAYs zurueck-
   geben, weil es hier Probleme beim Uebergang von C geben kann. Stattdessen
   werden die Funktionen als Prozeduren realisiert. Der letzte Parameter wird
   C-seitig als Rueckgabewert einer Funktion umgesetzt, sofern er das Praefix
   "RETURN_" hat[tr].

   Revision 1.34  1998/11/12 19:37:39  chrisp
   ... [cp]

   Revision 1.33  1998/11/09 16:27:12  muench
   ShowNode[Type|Class]Name hat noch einen Parameter dazubekommen (Ok : BOOLEAN).
   Dafuer wurden dann die Exceptions bei diesen Routinen abgeklemmt. Es laesst
   sich naemlich nicht herausfinden, ob eine SchemeComponentNumber nun eine
   Klasse oder ein Typ ist. Daher gibt man sie immer nacheinander in beide
   Routinen und schaut dann auf das Ok-Flag. Wenn allerdings eine Exception
   geworfen wird, falls man einen Typ in ShowNodeClassName gibt (oder umgekehrt),
   dann kommt man nicht weit. (mm)

   Revision 1.32  1998/10/29 18:01:54  prom3
   Das PGCRaiseEvent ist in PGC.m3 zwischenzeitlich verloren gegegangen und
   hatte ausserdem ein PGC zuviel [tr].

   Revision 1.31  1998/10/20 09:27:42  muench
   Unter Vorbehalt PGCRaiseEvent eingefuehrt, das das AGRaiseEvent
   durchschleift. Das wuerde ich aber ganz gerne wieder loswerden!
   PGC ist keine angereicherte Gras-Schnittstelle. (mm)

   Revision 1.30  1998/09/30 16:11:51  muench
   Optionale Knoten werden jetzt auch als Menge gehandhabt. [mm]

   Revision 1.29  1998/09/23 19:33:11  muench
   Zwei Dinge haben sich geaendert:
   1.) Der Fehler, dass ein optionaler Knoten auf der linken Regelseite einer
       Produktion, der potentiell dieselbe Menge von Knoten matchen kann wie
       ein obligater Mengenknoten, auf Knoten gematcht wurde, die eigentlich
       nicht mehr zur Verfuegung standen (da die obligate Menge Prioritaet
       vor einem [0:1]-Knoten hat und sich schon alle moeglichen Matches
       weggeschnappt hat), ist behoben.   <Puh, was fuer ein Satz...>
       Loesung war, in das Iso/HomoOptChoose noch einen weiteren Parameter
       einzufuehren, auf dem diesem Befehl die Menge, die von einer [1:n]-Menge
       bereits gematcht wurde, uebergeben wurde. Diese wird dann wie ueblich
       von dem SetOfCandidates abgezogen und uebrig bleibt das, was der Knoten
       noch aussuchen darf.
   2.) Wenn man durch linke Regelseiten 'step'-t, wurden bislang nur die Matches
       fuer elementwertige Knoten angezeigt. Dem ist jetzt abgeholfen, so dass nun
       auch Mengen begutachtet werden koennen.  [mm]

   Revision 1.28  1998/08/21 12:45:02  muench
   TypeIsOfClass durchgeschleift. Das wird fuer ein instance_of gebraucht. Hat das
   denn noch niemand probiert??? <staun>  [mm]

   Revision 1.27  1998/08/12 07:02:52  boris
   Kommentar fuer `DeleteNodeAndEdges' und `DeleteNodeSetAndEdges' hinzugefuegt.

   Revision 1.26  1998/08/10 07:49:00  prom3
   Namensaenderung von 'ShowAllAttributesOfNodeType' in 'Show...OfNodeTypeOrClass'

   Revision 1.25  1998/08/03 11:16:24  muench
   ShowDirectSuperclasses durchgeschleift. [mm]

   Revision 1.24  1998/08/03 11:04:21  muench
   ShowDirectSubtypes und ShowDirectSubclasses von RGRAS durchgeschleift. [mm]

   Revision 1.23  1998/07/01 08:15:08  marita
   Die Beschreibung der Mengenklassen wird nun in PGC durchgefuehrt. Dadurch
   sind die SETof...-Dateien ueberfluessig.
   Zusaetzlich wird noch der Typ 'UniqueIDAttr' und die zugehoerige
   Menge eingefuehrt. (mb)

   Revision 1.22  1998/06/29 14:02:07  marita
   In PGC (PGCExecutionBasics) werden Prozeduren zur Verfuegung gestellt, um
   Knoten mit eindeutigen Namen zu erzeugen bzw. um diese abzufragen.

   Deklaration von zwei neuen Mengenklassen fuer den Typ 'UniqueID' und
   'EdgeDescription' (mb)

   Revision 1.21  1998/06/12 13:25:30  prom3
   Wie bereits in Revision 1.11 erwaehnt, duerfen PGCMStrings nicht READONLY
   sein. - Hab ich aber selbst wieder vergessen :-( [tr].

   Revision 1.20  1998/06/10 10:43:28  marita
   In PGCExecutionBasics wird analog zu 'SetChoiceSelectionMode' eine Prozedur
   'GetChoiceSelectionMode' eingefuehrt und beide werden in PGC eingefuehrt (mb).

   Revision 1.19  1998/05/22 15:09:21  roetschk
      Weitere Resourcen aus RGRAS.i3 durchgereicht[tr]:
      - CloseGraphPool
      - GetAllNodeClasses
      - GetAllEdgeTypes
      - ShowAllAttributesOfNodeType
      - ShowAllNodeTypes
      - ShowEdgeTypeProps
      - ShowNodeClassName
      - TestAndShowEdgeTypeNumber
      - TestAndShowNodeClassNumber
      - TestAndShowNodeTypeNumber
      - TestAndShowAttributeNumber
      - PendingTransactions

   Revision 1.18  1998/05/18 12:37:06  roetschk
   Neue Funktion IsElemTypeOfGSet [tr].

   Revision 1.17  1998/05/18 10:44:45  roetschk
   - Einheitliche Verwendung von PGCMString.
   - Neues Makro PGCMStrToStr.
   [tr]

   Revision 1.16  1998/05/15 15:48:38  roetschk
   Parameter zur besseren Lesbarkeit der Schnittstelle umbenannt[tr].

   Revision 1.15  1998/05/15 14:37:05  roetschk
   PGC-Prfixe entfernt. PGCSetKill und PGCSetCreate entfernt [tr].

   Revision 1.14  1998/05/14 16:17:55  roetschk
   Test auf Knotentyp korrigiert [tr].

   Revision 1.13  1997/11/28 10:36:27  prom3
   StatIsTestSuccess an die PGC-Schnittstelle durchgeschleift.
   Vom Prototypen wird's gebraucht und ich sehe nichts, was dagegen spricht.
   (-ajw)

   Revision 1.12  1997/11/18 14:15:35  roetschk
   READONLY NameStringType-Parameter durch PGCMString ersetzt, wo sie als solche
   benutzt werden. Sonst gibt es Probleme unter Linux [tr].

   Revision 1.11  1997/11/17 15:31:30  roetschk
   PGCMString-Parameter drfen nicht READONLY sein, da sie C-seitig als
   struct {AGString s} definiert sind. Sonst gibt es Probleme unter Linux [tr].

   Revision 1.10  1997/11/11 09:50:13  roetschk
   Alle Parameter die C-seitig als char[] mit fester Lnge deklariert sind, d. h.
   NameStringType, PoolName, GraphName, ApplicationName, AGString, PGCMString,
   mssen Modula-3-seitig als READONLY oder VAR deklariert werden. Ansonsten
   funktioniert die C-Schnittstelle unter Linux nicht, weil C Pointer bergibt,
   wo Modula-3 Werte, d. h. Arrays erwartet [tr].

   Revision 1.9  1997/10/22 14:37:23  roetschk
   PGCAttributeValueToStringSet und PGCStringSetToAttibuteValue verfgen
   jetzt ber den VAR-Parameter Existent [tr].

   Revision 1.8  1997/10/01 13:48:49  roetschk
   Erste lauffaehige Version des ProM3-Prototyps [tr].

   Revision 1.7  1997/09/22 14:50:37  kluck
   Doppeldeklaration von GMinusWithLeftAll beseitigt.

   Revision 1.6  1997/09/19 08:50:31  prom3
   Die im Rumpf implementierten Operatoren fuer den all-Operator =
   iterierter Aufruf von Standardoperatoren in der Schnittstelle
   aufgefuehrt (jetzt sind ein paar zuviel Operatoren drin, da
   z.B. Iterieren von Minus nicht auf beiden Argumenten Sinn macht).

   Revision 1.5  1997/09/17 13:13:04  prom3
   Im Modul PGC etwas aufgeraeumt:

   * Teilweise nicht benoetigte Variablen und Importe geloescht.

   * An moeglichst vielen Stellen LAST(...) durch explizite
     Langenbestimmung ersetzt, da LAST auf dynamisch allozierte
     Felder in Modula nicht funktioniert.

   * Alle Typlaengenangaben auf Word.T umgestellt und ueberall
     die entsprechenden Parameter gleich genannt.

   * Die zwei oder drei READONLY Stellen auf VAR umgeschrieben
     da das u.U. bei Kombination mit C Probleme macht.

   * Alle ARRAY-OF-BYTE-Parameter, die VALUE-Parameter waren
     auf VAR umgestellt, soweit ich das Gefuehl hatte, dass der
     Codegenerator an diesen Stellen Adressen generiert
     (z.B. duerften eine Reihe von Backtrackbefehlen entweder
     noch nie in C funktioniert haben oder wir bekommen jetzt
     wieder Uebersetzungsfehler).

   * Neue Prozeduren geschaffen, die das Konvertieren von
     Attributen in Strings und zurueck unterstuetzen sollten.

   Revision 1.4  1997/08/28 15:14:40  roetschk
   Integration der C-Modula-3-Schnittstelle, Initialisierung der M3-Laufzeit-
   bibliothek, Ausgabe von Fehlermeldungen bei Exceptions, Portierung von
   TAssignElemSet aus Pro92 [tr].

   Revision 1.3  1997/08/08 13:30:22  prom3
   M.E. sind hier nur Kommentare eingef"ugt worden. (-ajw)

   Revision 1.2  1997/07/15 17:19:29  prom3
   Im Zusammenhang mit den AttributRepairActions sind neue Befehle entstanden.
   Ausserdem in PGCSets alle Parameter zu VAR-Parametern gemacht. Da ist wohl
   noch ein Bug im Compiler... (mm)

   Revision 1.1.1.1  1997/05/30 15:53:33  prom3
   prom3 unter CVS-Kontrolle... (mm)

   Revision 1.85  1997/04/18 16:13:57  muench
   Fehler in ConvertSingleStringToValue behoben: Fuer SchemeComponentNumbers
   wird der Input-String jetzt als VAR-Parameter uebergeben - es gab Probleme
   im Zusammenspiel mit anderen Konvertierroutinen. Des weiteren wurde in
   PGCExecutionBasics und PGC eine Ressource zur Verfuegung gestellt, die
   Strings direkt in SchemeComponentNumbers verwandeln kann. Dafuer ist nun
   kein Umweg mehr noetig. Wann die wieder rausfliegt, ist mit noch nicht klar,
   aber wenn es mit der zuerst beschriebenen Korrektur keine Probleme gibt,
   dann sicher bald... (mm)

   Revision 1.84  1997/04/18 12:58:00  roetschk
   Prototyp-Absturz behoben.
   Debug-Info entfernt.

   Revision 1.83  1997/04/17 15:25:28  roetschk
   Speichereffizienz von GenericSets fuer Strings und importierte Typen
   verbessert. PGCode fuer Vergleich von importierten Typen eingefuegt.

   Revision 1.82  1997/02/03 19:31:20  muench
   Einfuehrung eines neuen Befehls und Backtrackstatus:
   - SetBtInfoChooseLast
   - ChooseLast
   Wirkung: In einem NDConc wird mit diesem Befehl der aktuelle 'Zeiger' auf
   das letzte Element gesetzt, welches (zumeist) ein EXIT-Statement ist,
   welches die Ausfuehrung des NDConc verlaesst. (mm)

   Revision 1.81  1996/12/19 14:12:11  muench
   Schnittstellen waren inkonsistent. (mm)

   Revision 1.80  1996/11/28 18:26:59  muench
   Erweiterung der Module um die Constraintbehandlungsroutinen. Unter anderem
   ist ein neuer 'Automat' hinzugekommen, der die Ueberpruefung der Constraints
   steuert (Methode: siehe Diplomarbeit). Die Zustaende ChooseNext und TestSuccess
   werden zur Steuerung des Automaten 'missbraucht'. (Fuer die Wartung sollte diese
   Information ausreichen...) (mm)

   Revision 1.79  1996/11/25 14:44:05  ortmann
   Erweiterungen zur effizienten Behandlung von Nichtdeterminismus und
   Backtracking in PROGRES :

   Aenderung an der Schnittstelle von "CheckAndSetBtInfo" :
   Umbenennung des Parameter IsTotal -> IsPar und IsDet -> IsNonDet
   aus Konsistenzgruenden.

   Als wichtigste Aenderung in ExecutionsBasics ist noch aufzufuehren,
   dass nun das And-Stat selbst auch Checkpunkte setzt, um beim Arbeiten
   mit deterministischen Operationen auch deren Aenderungen
   zurueckzusetzen.

   In PGCSets hat sich nichts geaendert [co].

   Revision 1.78  1996/11/19 13:21:28  pro92
   In den ganzen Ressourcen, die irgendwas mit TypeSize zu tun haben, habe ich
   den Length-Parameter von SHORTCARD nach CARDINAL geaendert, denn spaetestens
   an der Schnittstelle zu importierten Typen macht SHORTCARD Aerger. -ajw

   Revision 1.77  1996/11/08 15:08:41  muench
   Ich habe vergessen, PGCSetCreate ins .def-File aufzunehmen. Sorry... (mm)

   Revision 1.76  1996/10/29 18:24:34  muench
   Die PGC-Schnittstelle ist erweitert worden um folgende Prozeduren:
   PGCLogin
   PGCLogout
   OpenGraphPool
   GetAllNodesOfGraph
   ShowNodeTypeName
   GetOutContextOfNode
   PGCRelCreate
   PGCRelSize
   PGCRelRemoveAnyTuple
   PGCRelKill
   PGCRelClear
   ShowEdgeTypeName
   PGCSetCreate
   PGCClearSet
   PGCSetRemoveAnyElement
   PGCSetKill
   ActivateDaemon
   KillDaemon

   Dazu wurde ein weiterer Typ in PGCGlobal eingefuehrt:
   RelDescription (analog zu SetDescription)

   Revision 1.75  1996/10/01 14:13:56  muench
   Die Prozedur GetStdImpTypeSize, die die Groesse eines Typs ermittelt
   (egal ob importiert oder standard), ist nun in der PGCExecLib bereits
   verfuegbar. (mm)

   Revision 1.74  1996/09/05 19:50:23  degner
   Neue Operationen, die im Wesentlichen durchgereichte Operationen von
   GRAS sind. Somit kann der Prototype nach und nach von GRAS befreit
   werden und nur noch auf PGC aufsetzen.

   Revision 1.73  1996/08/29 17:42:23  degner
   Neue Operationen zum Lesen von Attributen. Sie verfuegen ueber den
   zusaetzlichen Parameter Valid, welcher angibt, ob das Attribut einen
   gueltigen Wert besitzt oder nicht.

   Revision 1.72  1996/08/27 17:32:39  muench
   GetAttributeProperties durchgeschleift. (mm)

   Revision 1.71  1996/08/27 16:26:49  degner
   Neuer Befehl GetAttributeNumber zur Bestimmung der Nummer eines
   Attributs aus dessen Namen.

   Revision 1.70  1996/08/27 14:27:56  muench
   Neue Implementierung von StringToValue und ValueToString. Importierte Typen
   werden jetzt wie Standardtypen behandelt. Der Attributtyp wird ins Graphschema
   geschrieben und kann dort auch gelesen werden - somit koennen die Graphbrowser
   auch darauf zurueckgreifen und nun auch importierte Typen anzeigen. (mm)

   Revision 1.69  1996/07/20 17:51:11  muench
   Endlich ist es soweit: Eine neue Implementierung von StringToValue
   bzw. ValueToString, die auch funktioniert (zumindest soweit ich testen
   konnte... ;-) ). Es werden statt der alten StringToValue-Sachen, die
   in einem ArithEval verbraten wurden, komplett neue Befehle eingefuehrt.
   Entsprechend viele Sachen sind bei dem ArithEval rausgeflogen (d.h.
   Codegenerierung, Ausfuehrung und Darstellung). Ein neues Modul
   (PGCStrToValInstr) ist dafuer hinzugekommen, wo fuer diese beiden
   neuen Befehle alles Noetige implementiert ist. Einziger Nachteil: Auf
   PGC-Seite gibt es immer noch zwei Befehle: StringToValue und StringToGValue
   bzw. ValueToString und GValueToString. Es ging leider nicht anders...
   Die Befehle hampeln komplett nur noch mit Mengen rum. D.h. man gibt eine
   Menge von Werten rein (oder eine Menge von Strings) und bekommt eine
   Menge von Strings (bzw. Werten) raus. Falls es aber vorher nur einelementig
   war, so wird das bei der Codeerzeugung korrekt gemacht, nicht aber bei dem
   Befehl StringToValue (bzw. ...) selbst.
   Viel Spass beim Update - und nicht vergessen: Code wegwerfen!!! (mm)

   Revision 1.68  1996/07/04 17:41:16  pro92
   Neu-Implementierung des ForAll-Statements !!

   Die Semantik ist nun die folgende :

   Es wird nichtdeterministisch ein Element nach dem anderen aus der
   Menge genommen und mit diesem der Rumpf ausgefuehrt. Scheitert einmal
   die Ausfuehrung des Rumpfes, erfolgt Backtracking zum letzten Element,
   bei dem der Rumpf eine nichtdeterministische Entscheidung getroffen
   hat und der Rumpf selbst muss mit diesem Element Backtracking
   ausfuehren.
   Scheitert die Ausfuehrung des Rumpfes und alle bisherigen Elements
   fuehrten zu einer deterministischen Ausfuehrung (was zum Beispiel auch
   direkt beim ersten ausgewaehlten Element der Fall sein kann), so
   scheitert die ganze Ausfuehrung des ForAll-Statements.

   Wird das ForAll-Statement von Aussen zum Backtracking aufgefordert,
   erfolgt analog Backtracking "zum letzten nichtdeterministischen
   Element". Wenn man sicher ist, das dort dann das Backtracking immer
   scheitert, sollte man dieses in ein Cut-Statement einbetten, um das
   unnoetige Backtracking zu vermeiden.

   In der Hoffnung, dass jetzt das ForAll-Statement jetzt wieder
   funktioniert ... [co]

   Revision 1.67  1996/05/30 14:19:58  muench
   1.) Unterscheidung zwischen Knoten- und Knotentypmenge bei ValToStr und
       StrToVal
   2.) Schnittstelle von PGC geradegebogen, so dass nun Prozeduren fuer alle
       ValToStr oder StrToVal-Umwandlungen angeboten werden.
   Now let's keep our fingers crossed... (mm)

   Revision 1.66  1996/04/30 13:40:52  degner
   UserUndo und UserRedo fuer den Prototypen stark verbessert und
   Transaktionen in die PGC - Schnittstelle eingebaut.

   Revision 1.65  1996/04/25 15:36:33  ortmann
   Die automatische Generierung der C-Resourcen vertraegt wohl keine
   Formalparameterlisten eines Typs. Daher musste zu jedem Formalparamter
   der neuen Prozedur 'CheckAndSetBtInfo' der zug. Typ explizit angegeben
   werden. Die C-Generierung eines Prototyps sollte jetzt wohl
   funktionieren [co].

   Revision 1.64  1996/04/23 13:54:07  ortmann
   Neuen PGC-Befehl 'CheckAndSetBtInfo' eingefuehrt.

   Zu beachten ist, dass nach einem Update der alte Code geloescht und
   neuer Code erzeugt werden muss ! [co].

   Revision 1.63  1996/04/21 13:41:34  degner
   Begin- und EndTransaction an der PGC-Schnittstelle angeboten.

   Revision 1.62  1996/04/17 11:06:41  ortmann
   Neuen PGC-Befehl 'SetBtInfoTestSuccess' eingefuehrt.

   Zu beachten ist, dass nach einem Update der alte Code geloescht und
   neuer Code erzeugt werden muss ! [co].

   Revision 1.61  1996/04/11 10:11:21  ortmann
   'NDIsoChooseStat', 'NDHomoChooseStat', 'NDIsoOptChooseStat' und
   'NDHomoOptChooseStat' erhalten neuen Paramenter 'NotSet' fuer die
   Menge der nicht auszuwaehlenden Elemente [co].

   Revision 1.60  1996/04/03 13:35:31  degner
   Neuer Zweig StringToValueSuccess mit durchgeschleiftem Success - flag.
   Sonst identisch zu StringToValue.

   Revision 1.59  1996/03/21 17:45:00  muench
   CreateTypedGraph und OpenGraph haben ein neues Parameterprofil bekommen.
   Es wurden die SchemeName und SchemeVersion-Parameter hinzugefuegt. Ausserdem
   hat sich die Architektur etwas gebessert, so dass nun Interpreter und Compiler
   auf denselben Sourcen in PGCExecutionBasics aufsetzen. Weiterhin wurde eine
   grosse Schwachstelle im Interpreter eliminiert, der auf einmal auf PGC-Sourcen
   (also Compiler-Sachen) aufsetzte. Wie unsauber, wie unsauber... Naja, aber ganz
   frei von Hacks sind wir dabei auch nicht geblieben: Die Schemadeklarierung wird
   nun fuer den Compiler in CreateTypedGraph vorgenommen und das DeclareScheme prueft
   nur noch ab, ob die Versionsnummern uebereinstimmen. (mm)

   Revision 1.58  1995/12/05 16:24:34  ortmann
   In PGCExecutionBasics hat die Prozedur 'Substr' jetzt als Eingabeparameter
   die linke Grenze und dann die rechte Grenze und zwar genau in dieser
   Reihenfolge !!

   Revision 1.57  1995/10/30 17:34:05  pro92
   Wieder bei AddElemTo/DeleteElemFromSet Parameter hin und her gewendet.
   Vielleicht funktioniert es ja jetzt endlich, systematisch ist es auf
   jeden Fall jetzt. [as]

   Revision 1.56  1995/10/29 22:16:36  pro92
   Die Operanden von AddElemToSet/DeleteElemToSet teilweise umgedreht!
   Ausserdem SetContainsElem in ElemIsInSet (mit verdrehtem Parameterprofil)
   sowie altes ElemIsInSet in GElemIsInSet umgebaut [as].

# Revision 1.55  1995/09/20  12:56:57  degner
# Das Parameterprofil der Prozeduren IsoChooseAllStat und
# HomoChooseAllStat geaendert. Sie besitzen jetzt nur noch InOut-Mengen
# anstatt In- und Outmengen.
#
# Revision 1.54  1995/08/11  15:10:06  andre
# PGC-Befehle IsoChooseAll und HomoChooseAll neu.
#
# Revision 1.53  1995/07/26  10:20:15  degner
# Die Prozeduren Write(G)SetAttribute geben ihre Mengen nicht mehr
# mittels VAR zurueck, sondern konsumieren sie. Hiefuer muss die
# Codeerzeugung angepasst werden. Dito fuer SetToElement.
#
# Revision 1.52  1995/06/23  11:09:48  degner
# Parameterprofil von WriteGSetAttribute geaendert.
#
# Revision 1.51  1995/06/07  13:59:29  poensgen
# Fehlende Schnittstellen von GPlusWithXXXAll nachgetragen
#
# Revision 1.50  1995/01/24  10:15:02  poensgen
# Schnittstelle von ElemTypeOf an die Codeerzeugung angepasst. Fehler
# bei WriteStringToValue behoben.
#
# Revision 1.49  1994/12/06  11:22:21  winter
# StringToValue - Parameterprofil angepasst.
#
# Revision 1.48  1994/12/06  09:16:39  poensgen
# Schnittstelle von DeleteEdgeBundle wegen C-Codeerzeugung geaendert,
# die uebergebenen Mengen werden nicht mehr geloescht. Genauso bei
# DeleteNodeSetAndEdges und CreateEdgeBundle. Die Schnittstelle von
# TypeCheckStandard an den PGCode angepasst.
# Bei allen Operationen, die Knoten oder Kanten einfuegen oder loeschen
# werden jetzt die im PGCGlobal eingefuehrten Events Delete & Add
# geraised.  Das kann durch das globale Flag RaiseChangedEvent in
# PGCGlobal unterdrueckt werden.
#
# Revision 1.47  1994/11/24  11:51:53  poensgen
# Parameterprofil von GElemToSet korrigiert.
#
# Revision 1.46  1994/09/29  10:40:27  poensgen
# Wegen Schwierigkeiten mit M2-Funktionen, die einen PGCMString zurueckgeben, von
# C aus aufzurufen, sind alle solchen Funktionen zusaetzlich auf
# M2-Seite als Prozeduren vorhanden. Der Patch fuer C_PGC.c liest den Funktionswert
# als VAR-Param & gibt ihn als Funktionswert zurueck.
#
# Revision 1.45  1994/09/23  18:24:39  winter
# Diverse Aenderungen und Verfeinerungen fuer die korrekte
# C-Code-Erzeugung eingebaut. Scheint besser geworden zu sein. AZ.
#
# Revision 1.44  1994/09/14  21:33:33  poensgen
# WriteStringToSchemeComponentNumber testet, ob eine Zahl als Input
# vorliegt, ansonsten wird der Input als Komponentenbezeichner
# interpretiert und konvertiert. Dazu neuer Parameter Graph noetig.
#
# Revision 1.43  1994/09/09  12:37:07  poensgen
# Anpassung an geaendertes Parameterprofil von WriteStringToValue.
#
# Revision 1.42  1994/08/22  08:28:05  poensgen
# StringToValue, GStringToValue, ValueTo[G]String von ExecutionBasics nachgezogen.
#
# Revision 1.41  1994/08/11  12:55:54  guido
# Neue Prozeduren NoteOpen/ClosedGraphs
#
# Revision 1.40  1994/08/02  17:06:31  pgcm
# Vervollstaedigung C-Schnittstelle
#
# Revision 1.39  1994/08/01  15:47:52  andre
# Neuer PGC-Befehl: NDHomoOptChooseStat
#
# Revision 1.38  1994/07/26  14:39:22  poensgen
# Neuer Opcode GetByIndex implementiert.
#
# Revision 1.37  1994/07/23  16:11:50  andre
# Neuer PGCode-Befehl "NDHomoChoose" implementiert.
#
# Revision 1.36  1994/04/28  13:55:43  guido
# Schnittstelle von TypeCheck an die des generierten Codes angepasst.
#
# Revision 1.35  1994/04/07  19:09:17  guido
# Saemtliche Parameter vom Typ SetDescription der PG-Code-Befehle (nicht
# die der ArithEval-Befehle) als VAR deklariert.
#
# Revision 1.34  1994/04/07  11:08:43  harald
# Es haben sich diverse Aenderungen bei dem TypeCheckOp ergeben. Die
# Semantik wurde dahingehend abgeaendert, dass jetzt alle Elemente, die
# nicht zu dem angegebenen Typ gehoeren, einfach aus der Menge entfernt
# werden. Ist die Menge leer, der Typ aber total, so wird ein "halt"
# ausgefuehrt.
# Der TypeCheckOp ist fuer Expressions jetzt komplett fertig, auch die
# M2-Generierung sollte jetzt funktionieren. Es fehlen noch die Pfade.
# Fuer die, die sich fuer die Semantik genauer interessieren, habe ich
# eine kurze Beschreibung von Andy vorliegen. [hz]
#
# Revision 1.33  1994/02/28  14:41:34  guido
# In ElemIsInSet Parameter vertauscht.
#
# Revision 1.32  1994/02/23  16:52:46  guido
# Schnittstelle von ElemIsInSet korrigiert.
#
# Revision 1.31  1994/02/22  12:22:54  harald
# 1. GSetContainsElem wurde ersetzt durch ElemIsInSet. Reihenfolge der
#    Stackabarbeitung geaendert.
# 2. Neuer PGCode Befehl GSetImplies
#
# [hz]
#
# Revision 1.30  1994/02/18  15:18:45  harald
# 1. GSetToElem ist kein ArithEval mehr. Er ist jetzt ein eigener
#    PGCode-Befehl und steht als innerer Modul in
#    PGCArithEvalInstr.
#
# 2. GSetContainsElem funktioniert jetzt auch fuer Typen, insbesondere
#    Strings, die ungleich 4 Bytes sind.
#
# 3. Der All-Operator ist zwar fast fertig, aber noch buggy und wurde
#    nur aus Konsistenzgruenden mit eingecheckt. Wenn man ihn nicht
#    benutzt tut er keinem was. ;-)
#
# [hz]
#
# Revision 1.29  1994/01/26  18:57:28  guido
# Neue Commandos: Start-/EndGraphModification
# Semantik bisher:
# StartGraphModification: keine
# EndGraphModification: Ausloesen eines Browser-Updates
#
# Revision 1.28  1994/01/19  15:04:00  jojo
# Auf RGRAS umgestellt. [Jo]
#
# Revision 1.27  1993/12/06  13:59:56  harald
# Kleinen Bug bei den Meta-Attributen behoben. Ausserdem die Modula-2
# Sachen nachgefahren. [hz]
#
# Revision 1.26  1993/11/10  20:49:01  andre
# NDIsoOptChoose neu.
#
# Revision 1.25  1993/10/29  13:03:43  harald
# Diverse String-Funktionen in PGC.mod nachgetragen.
# Graphcodegenerierung fuer TypeOfExpr angefangen. [HZ]
#
# Revision 1.24  1993/10/28  19:30:45  guido
# Neuer ArithEval-Befehl: StrEqual
#
# Revision 1.23  1993/10/22  16:06:23  guido
# Fehler im Parameter-Profil von SetBtInfoInitial behoben.
#
# Revision 1.22  1993/10/13  13:53:56  albert
# NDIsoChoose eingefuehrt. Initialisierung und Trailing diverser
# impliziter Variablen im ProductionCompiler eingebaut.
# FMP laueft wieder.
#
# Revision 1.21  1993/10/11  14:15:47  gva
# HandleCheckpoint implementiert. Beschreibung der Semantink in PGC.doc.
#
# Revision 1.20  1993/10/07  15:11:49  andre
# Choosen->Chosen
#
# Revision 1.19  1993/09/28  18:14:39  gva
# Neuen Befehl InitBtInfo implementiert.
#
# Revision 1.18  1993/09/27  21:11:09  gva
# EvalOrStat und EvalConcStat entfernt und InitLoopOrVars in InitOrVars
# umbenannt.
#
# Revision 1.17  1993/09/22  18:35:10  gva
# Neue nichtdeterministische Befehle eingefuehrt:
#
# NDConc,
# NDChoose und den Pseudobefehl ExitStat.
#
# Revision 1.16  1993/09/22  14:14:27  andre
# Neuer PGC-Befehl: DeleteNodeSetAndEdges
#
# Revision 1.15  1993/09/21  09:47:46  andre
# Neue PGCode-Befehle:
# CreateEdgeBundle und DeleteEdgeBundle
#
# Revision 1.14  1993/09/16  17:04:13  gva
# ForAllStat auch fuer generische Mengen implementiert, also komplett.
#
# Revision 1.13  1993/09/13  10:05:16  gva
# ForAllStat fuer Knotenmengen implementiert.
#
# Revision 1.12  1993/09/09  20:07:10  andre
# GSetToElem neu.
#
# Revision 1.11  1993/08/31  11:00:57  ram
# neuer PGC-Befehl: UpdateMatEdgeStructure
#
# Revision 1.10  1993/08/27  13:48:36  harald
# substr,valuetostring teilweise implementiert
#
# Revision 1.9  1993/08/12  16:36:32  guido
# Parameterprofil von DeclareDummyAttribute angepasst; einige Fehler behoben.
#
# Revision 1.8  1993/08/05  20:00:25  albert
# def2c in mgen eingebaut
#
# Revision 1.7  1993/08/04  15:48:51  ram
# MetaAttribute werden compiliert
#
# Revision 1.6  1993/08/04  12:55:25  jojo
# C-Schnittstelle fuer PGC.* erstellt
#
# Revision 1.5  1993/08/02  21:50:15  albert
# Strings (richtig) in die Maschine eingebaut.
# Expressioncompiler um Stringkonstanten und StringConcat erweitert.
#
# Revision 1.4  1993/08/02  11:34:44  jojo
# Routinen zum Eintrag von BacktrackInfos
#
# Revision 1.17  1993/07/13  14:08:36  jojo
# "GetAllNodesOfTypesOrClass" in "GetAllNodesOfType",
# "GetAllNodesOfTypeSet" und "GetAllNodesOfClass" aufgeteilt.
# In GenHelp "TryToConvertTypeSetToClass" eingef"ugt.
#
# Revision 1.16  1993/07/01  21:45:43  pro92
# Umstellung auf base93a nachgefahren --Teil 1-- [gs]
#
# Revision 1.15  1993/06/29  12:55:23  albert
# GraphPathError nachgezogen
#
# Revision 1.14  1993/06/23  14:35:44  guido
# Neue Prozedur: Error
#
# Revision 1.13  1993/05/28  14:30:51  pit
# NodeIsOfClass, AllInSetIsOfClass, NodeIsOfType und AllInSetIsOfType neu implementiert
#
# Revision 1.12  1993/05/26  09:11:34  gva
# Fehler in InitLoopExprVars behoben und das Parameterprofil angepasst,
# sowie die Modula-2 Codeerzeugung berichtigt.
# In EvalGExpr dass Parameterprofil analog zu TAssign angepasst.
#
# Revision 1.11  1993/05/25  19:22:43  albert
# Fehler bei TAssign behoben.
#
# Revision 1.10  1993/05/24  17:42:37  gva
# Diverse Kosmetikoperationen.
#
# Revision 1.9  1993/05/17  22:43:17  albert
# Die Prozeduren CopySetDesc und CopyGSet werden nun exportiert.
#
# Revision 1.8  1993/05/14  15:21:30  gva
# Write- / Read- SetAttribute und GSetAttribute implementiert.
#
# Revision 1.7  1993/05/11  18:01:11  gva
# Parameterprofil bei EvalLoopStat angepasst.
#
# Revision 1.6  1993/05/06  19:08:31  gva
# TAssign, TAssignSet, TAssignGset und InitNull implementiert.
#
# Revision 1.5  1993/04/27  12:25:37  gva
# Neuimplementierung der Konkatenation "&".
# Es wird jetzt intern ein (analog zum AND) ein Stack ueber die
# ChoicePoints gehalten.
#
# Revision 1.4  1993/04/16  15:13:41  andre
# GSelectEl neu.
#
# Revision 1.3  1993/04/08  16:24:13  guido
# Anpassungen vorgenommen: ParameterListen geaendert, Prozeduren zur Mengenbehandlung aufgenommen.
#
# Revision 1.2  1993/04/07  13:16:04  gva
# Fehler behoben
#
# Revision 1.1  1993/04/02  11:56:27  guido
# Umbenennung: M2Exec --> P
#
# Revision 1.5  1993/04/01  12:18:49  guido
# Einige Prozedurnamen angepasst
#
# Revision 1.4  1993/03/31  14:59:44  gva
# Einige Befehle nachgezogen.
#
# Revision 1.3  1993/03/29  20:23:17  albert
# Kleine Erweiterungen. Albert
#
# Revision 1.2  1993/03/29  18:37:43  andre
# GUnion, GIntersection, GDifference, GSetEqual, GSetInclusion,
# GPlus, GMinus, GTimes, GDiv, GMod,
# GIsEmpty, GIsNotEmpty und GSetContainsElem neu.
#
# Revision 1.1  1993/03/23  20:26:34  guido
# In diesem Verzeichnis sind die zur Ausfuehrung des generierten M2-Codes
# notwendigen Module enthalten.
# Sie wurden aus der ProgGraphCodeMachineLib noch hier verlegt.
#
# Revision 3.46  1993/03/23  19:44:51  guido
# Neues Parameterprofil beim GEmptySet
#
# Revision 3.45  1993/03/23  11:31:28  gva
# EvalLoopStat implementiert.
#
# Revision 3.44  1993/03/18  17:41:24  gva
# Neue ArithEvals SetBtInfoFailed SetBtInfoInitial und NegateBtInfo
# implementiert.
# LoopBranchStat und EvalBranchStat implementiert.
#
# Revision 3.43  1993/03/10  18:11:25  gva
# EvalAndStat implementiert
#
# Revision 3.42  1993/03/02  12:38:33  gva
# LoopOr eingefuehrt, neuen ArithEval GInitSetOfNSurrogates eingefuehrt,
# einige Fehler behoben.
#
# Revision 3.41  1993/01/20  15:53:44  andre
# ExpressionCompiler erweitert. or implementiert.
#
# Revision 3.40  1992/12/22  10:53:13  pro92
# Copyright eingetragen
#
# Revision 3.39  1992/12/09  15:00:21  pit
# Neuer ArithEval-Befehl NodeIsInstanceOf implementiert
#
# Revision 3.38  1992/12/07  10:40:19  gva
# Fehler in TestEdge behoben.
#
# Revision 3.37  1992/12/02  08:59:32  pit
# ArithEval-Befehl GetAnayElemOfSet implementiert
#
# Revision 3.36  1992/12/01  20:50:03  gva
*
 ********************************************************************/
/************************************************************************
 *                                                                      *
 *         Instructions for managing schemes                            *
 *                                                                      *
 * Every component of the graph scheme has two identifiers. One is a    *
 * (human-readable) name, the other one an arbitrary internally used    *
 * number which must be unique across all types of declared graph       *
 * compontents.                                                         *
 *                                                                      *
 * ATTENTION: Even components belonging to different categories of data *
 *            - like node classes and edge types - must have different  *
 *            names and internally used type numbers.                   *
 *                                                                      *
 ************************************************************************/

void
PGCDeclareScheme(Surrogate *Scheme, GraphNumber WorkGraph, PGCMString Name);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Creation of a scheme with the name "Name" that     *
 *   will get the number "Scheme". This number can be   *
 *   used to reference it. It is possible to have more  *
 *   than one (sub-)scheme in one graph.                *
 *                                                      *
 * Note:                                                *
 *                                                      *
 *   DeclareScheme may be used to extend already        *
 *   existing graph schemes and to redefine the         *
 *   evaluation functions and attribute dependencies    *
 *   of previously declared attributes, i.e. Declare-   *
 *   Scheme for an alreadu existing graph scheme starts *
 *   the extension of this graph scheme.                *
 *                                                      *
 ********************************************************/

void
PGCCommitScheme(GraphNumber WorkGraph, Surrogate Scheme);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Commit all declarations that were made for this    *
 *   scheme. This procedure is used to tell the GRAS    *
 *   system that there are no more declarations. There- *
 *   fore it must be called AFTER all other scheme      *
 *   procedures. All declarations are then carried out  *
 *   in the proper order. That means, that you can call *
 *   all declarations in arbitrary order and then simply*
 *   commit the scheme.                                 *
 *                                                      *
 * Note:                                                *
 *                                                      *
 *   CommitScheme may be used to extend already         *
 *   existing graph schemes and to redefine the         *
 *   evaluation functions and attribute dependencies    *
 *   of previously declared attributes.                 *
 *                                                      *
 ********************************************************/
/*****************************************************************************
 *                                                                           *
 *  Procedures for managing node classes                                     *
 *                                                                           *
 *****************************************************************************/

void
PGCDeclareNodeClass(GraphNumber WorkGraph, Surrogate Scheme, PGCMString Name, TypeNumber NodeClass);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Declare the node class "Name" for the scheme       *
 *   "Scheme". This node class will get the number      *
 *   "Class". The name and the number of the node       *
 *   class must be unique for this graph.               *
 *   Node class no. 0 is reserved.                      *
 *                                                      *
 * Note:                                                *
 *   This action will not take place before the scheme  *
 *   is committed.                                      *
 *                                                      *
 ********************************************************/

void
PGCAppendNodeClass(GraphNumber WorkGraph, Surrogate Scheme, PGCMString Class, PGCMString SuperClass);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Add a specialization/generalization relation to    *
 *   the scheme. The node class "Class" will then       *
 *   be a subclass of "SuperClass" and inherits all     *
 *   attributes and attribute evaluation rules.         *
 *                                                      *
 * Note:                                                *
 *   This action will not take place before the scheme  *
 *   is committed.                                      *
 *                                                      *
 ********************************************************/
/*****************************************************************************
 *                                                                           *
 * Procedures for managing node types                                        *
 *                                                                           *
 *****************************************************************************/

void
PGCDeclareNodeType(GraphNumber WorkGraph, Surrogate Scheme, BOOLEAN UseMembership, PGCMString Name, TypeNumber NodeType);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Declare node type "Name" for scheme "Scheme". This *
 *   node type will get  number "NodeType". The name    *
 *   and the number of the node type must be unique for *
 *   this graph. Node type no. 0 is reserved.           *
 *   If the "UseMembership" flag is set, GRAS will be   *
 *   able to find all nodes of that type using the      *
 *   procedure "AGGetAllNodesOfNodeType". This is       *
 *   necessary for almost all node types of an PROGRES  *
 *   specification.                                     *
 *   The "UseMembership" flag may not be used if more   *
 *   than 5000 nodes of this type will be created.      *
 *                                                      *
 * Notes:                                               *
 *   1) This action will not take place before the      *
 *      scheme is committed.                            *
 *   2) Creating and deleting nodes of this type        *
 *      will be more efficient if the                   *
 *      "UseMembership" option is NOT set.              *
 *                                                      *
 ********************************************************/

void
PGCAppendNodeType(GraphNumber WorkGraph, Surrogate Scheme, PGCMString Type, PGCMString Class);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Add a specialization/generalization relation to    *
 *   the scheme. The node type "Type" will then         *
 *   belong to the class "Class" and inherits all       *
 *   attributes and attribute evaluation rules.         *
 *                                                      *
 * Note:                                                *
 *   This action will not take place before the scheme  *
 *   is committed.                                      *
 *                                                      *
 ********************************************************/
/*****************************************************************************
 *                                                                           *
 * Procedures for managing edge types                                        *
 *                                                                           *
 *****************************************************************************/

void
PGCDeclareEdgeType(GraphNumber WorkGraph, Surrogate Scheme, PGCMString Name, PGCMString Source, Cardinality SourceCard, PGCMString Target, Cardinality TargetCard, TypeNumber Edge);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Declare the edge type "Name" for                   *
 *   the scheme "Scheme". The edge type will get the    *
 *   number "Edge". Edge type no. 0 is reserved.        *
 *   All nodes that belong to "Source"                  *
 *   are allowed as source nodes for edges of this type.*
 *   All nodes that belong to "Target"                  *
 *   are allowed as target nodes for edges of this type.*
 *   "SourceCard" and "TargetCard" are                  *
 *   used for runtime checks. "TargetCard" =            *
 *   "ObligateSet" means e.g. that any node of class    *
 *   "Source" is expected to have at                    *
 *   least one emanating edge of this type.             *
 *                                                      *
 * Note:                                                *
 *   This action will not take place before the scheme  *
 *   is committed.                                      *
 *                                                      *
 * ATTENTION:                                           *
 *   Up to now, cardinality checks in "CreateEdge"      *
 *   etc. are not yet implemented.                      *
 *                                                      *
 ********************************************************/
/*****************************************************************************
 *                                                                           *
 * Procedures for managing attributes                                        *
 *                                                                           *
 *****************************************************************************/

void
PGCDeclareMetaAttribute(GraphNumber WorkGraph, Surrogate Scheme, PGCMString DeclFor, PGCMString Name, IndexProperties Props, ValueTypeNumber ValueType, Cardinality ValueCardinality, BOOLEAN ConstLen, CARDINAL L, AttributeNumber Attr);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Declare the Meta Attribute "Name" for the scheme   *
 *   "Scheme". All nodes that belong to the class/type  *
 *   "DeclFor" will carry that attribute.               *
 *   The attribute will get the number "Attr". The      *
 *   name and the number of the attribute must be       *
 *   unique.                                            *
 *                                                      *
 *   If constant length flag (ConstLen) is set, "L"     *
 *   specifies the size of the values that will be      *
 *   stored in that attribute (in Bytes).               *
 *                                                      *
 *   "Props" contains information about the properties  *
 *   of the attribute, i.e. whether it is a normal, an  *
 *   index or a key attribute.                          *
 *                                                      *
 *   "ValueType" is an almost uninterpreted number which*
 *   gives applications the chance to store information *
 *   about the type of an attribute's value (which is   *
 *   normally considered to be an uninterpreted byte    *
 *   stream. The numbers for standard types like integer*
 *   boolean etc. are fixed! All remaining numbers may  *
 *   be used as "pointers" to application defined types.*
 *                                                      *
 *   "ValueCardinality" specifies whether a value for   *
 *   this attribute is optional ( -> "Opt..." ) or      *
 *   obligate ( -> "Obl..." ) and whether the attribute *
 *   contains a set of values ( -> "...Set" ) or only   *
 *   a single element ( -> "...Unique" )                *
 *   Note that "ValueCardinality" is an attribute prop. *
 *   which has no meaning for GRAS (like "ValueType")   *
 *   because (up to now) all (sets of) attribute values *
 *   are uninterpreted arrays of byte for GRAS.         *
 *                                                      *
 * Note:                                                *
 *                                                      *
 *   1) The attribute number 0 should be used for the   *
 *      most frequently used NON-INDEX (and NON-KEY)    *
 *      attribute. If time and space consumption are    *
 *      very important, then you might even store many  *
 *      short attribute values within the 0 attribute   *
 *      (or within another attribute) without declaring *
 *  	this attribute. This trick deactivates a number *
 *      of checks (for keeping derived attributes and   *
 *      attribute indexes consistent).                  *
 *   2) Meta and dummy index or key attributes are not  *
 *      supported.                                      *
 *                                                      *
 ********************************************************/

void
PGCDeclareIntrinsicAttribute(GraphNumber WorkGraph, Surrogate Scheme, PGCMString DeclFor, PGCMString Name, IndexProperties Props, ValueTypeNumber ValueType, Cardinality ValueCardinality, BOOLEAN ConstLen, CARDINAL L, AttributeNumber Attr);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Declare the intrinsic Attribute "Name" for the scheme*
 *   "Scheme". All nodes that belong to the class/type  *
 *   "DeclFor" will carry that attribute.               *
 *   The attribute will get the number "Attr". The      *
 *   name and the number of the attribute must be       *
 *   unique.                                            *
 *                                                      *
 *   If constant length flag (ConstLen) is set, "L"     *
 *   specifies the size of the values that will be      *
 *   stored in that attribute (in Bytes).               *
 *                                                      *
 *   "Props" contains information about the properties  *
 *   of the attribute, i.e. whether it is a normal, an  *
 *   index or a key attribute.                          *
 *                                                      *
 *   "ValueType" is an almost uninterpreted number which*
 *   gives applications the chance to store information *
 *   about the type of an attribute's value (which is   *
 *   normally considered to be an uninterpreted byte    *
 *   stream. The numbers for standard types like integer*
 *   boolean etc. are fixed! All remaining numbers may  *
 *   be used as "pointers" to application defined types.*
 *                                                      *
 *   "ValueCardinality" specifies whether a value for   *
 *   this attribute is optional ( -> "Opt..." ) or      *
 *   obligate ( -> "Obl..." ) and whether the attribute *
 *   contains a set of values ( -> "...Set" ) or only   *
 *   a single element ( -> "...Unique" )                *
 *   Note that "ValueCardinality" is an attribute prop. *
 *   which has no meaning for GRAS (like "ValueType")   *
 *   because (up to now) all (sets of) attribute values *
 *   are uninterpreted arrays of byte for GRAS.         *
 *                                                      *
 * Note:                                                *
 *                                                      *
 *   1) The attribute number 0 should be used for the   *
 *      most frequently used NON-INDEX (and NON-KEY)    *
 *      attribute. If time and space consumption are    *
 *      very important, then you might even store many  *
 *      short attribute values within the 0 attribute   *
 *      (or within another attribute) without declaring *
 *  	this attribute. This trick deactivates a number *
 *      of checks (for keeping derived attributes and   *
 *      attribute indexes consistent).                  *
 *                                                      *
 ********************************************************/

void
PGCDeclareDerivedAttribute(GraphNumber WorkGraph, Surrogate Scheme, PGCMString DeclFor, PGCMString Name, IndexProperties Props, ValueTypeNumber ValueType, Cardinality ValueCardinality, BOOLEAN ConstLen, CARDINAL L, AttributeNumber Attr);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Declare the derived Attribute "Name" for the scheme*
 *   "Scheme". All nodes that belong to the class/type  *
 *   "DeclFor" will carry that attribute.               *
 *   The attribute will get the number "Attr". The      *
 *   name and the number of the attribute must be       *
 *   unique.                                            *
 *                                                      *
 *   If constant length flag (ConstLen) is set, "L"     *
 *   specifies the size of the values that will be      *
 *   stored inthat attribute (in Bytes).                *
 *                                                      *
 *   "Props" contains information about the properties  *
 *   of the attribute, i.e. whether it is a normal, an  *
 *   index or a key attribute.                          *
 *                                                      *
 *   "ValueType" is an almost uninterpreted number which*
 *   gives applications the chance to store information *
 *   about the type of an attribute's value (which is   *
 *   normally considered to be an uninterpreted byte    *
 *   stream. The numbers for standard types like integer*
 *   boolean etc. are fixed! All remaining numbers may  *
 *   be used as "pointers" to application defined types.*
 *                                                      *
 *   "ValueCardinality" specifies whether a value for   *
 *   this attribute is optional ( -> "Opt..." ) or      *
 *   obligate ( -> "Obl..." ) and whether the attribute *
 *   contains a set of values ( -> "...Set" ) or only   *
 *   a single element ( -> "...Unique" )                *
 *   Note that "ValueCardinality" is an attribute prop. *
 *   which has no meaning for GRAS (like "ValueType")   *
 *   because (up to now) all (sets of) attribute values *
 *   are uninterpreted arrays of byte for GRAS.         *
 *                                                      *
 * Note:                                                *
 *                                                      *
 *   1) The attribute number 0 should be used for the   *
 *      most frequently used NON-INDEX (and NON-KEY)    *
 *      attribute. If time and space consumption are    *
 *      very important, then you might even store many  *
 *      short attribute values within the 0 attribute   *
 *      (or within another attribute) without declaring *
 *  	this attribute. This trick deactivates a number *
 *      of checks (for keeping derived attributes and   *
 *      attribute indexes consistent).                  *
 *                                                      *
 ********************************************************/

void
PGCDeclareConstraintAttribute(GraphNumber WorkGraph, Surrogate Scheme, PGCMString DeclFor, PGCMString Name, AttributeNumber Attr);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *    see above                                         *
 *                                                      *
 ********************************************************/

void
PGCDeclareDummyAttribute(GraphNumber WorkGraph, Surrogate Scheme, PGCMString DeclFor, PGCMString Name, AttributeNumber Attr);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Declare the Dummy-Attribute "Name" for the scheme  *
 *   "Scheme". All nodes that belong to the class/type  *
 *   "DeclFor" will carry that attribute.               *
 *   The attribute will get the number "Attr". The      *
 *   name and the number of the attribute must be       *
 *   unique.                                            *
 *                                                      *
 *   If constant length flag (ConstLen) is set, "L"     *
 *   specifies the size of the values that will be      *
 *   stored in that attribute (in Bytes).               *
 *                                                      *
 *   "Props" contains information about the properties  *
 *   of the attribute, i.e. whether it is a normal, an  *
 *   index or a key attribute.                          *
 *                                                      *
 *   "ValueType" is an almost uninterpreted number which*
 *   gives applications the chance to store information *
 *   about the type of an attribute's value (which is   *
 *   normally considered to be an uninterpreted byte    *
 *   stream. The numbers for standard types like integer*
 *   boolean etc. are fixed! All remaining numbers may  *
 *   be used as "pointers" to application defined types.*
 *                                                      *
 *   "ValueCardinality" specifies whether a value for   *
 *   this attribute is optional ( -> "Opt..." ) or      *
 *   obligate ( -> "Obl..." ) and whether the attribute *
 *   contains a set of values ( -> "...Set" ) or only   *
 *   a single element ( -> "...Unique" )                *
 *   Note that "ValueCardinality" is an attribute prop. *
 *   which has no meaning for GRAS (like "ValueType")   *
 *   because (up to now) all (sets of) attribute values *
 *   are uninterpreted arrays of byte for GRAS.         *
 *                                                      *
 * Note:                                                *
 *                                                      *
 *   1) The attribute number 0 should be used for the   *
 *      most frequently used NON-INDEX (and NON-KEY)    *
 *      attribute. If time and space consumption are    *
 *      very important, then you might even store many  *
 *      short attribute values within the 0 attribute   *
 *      (or within another attribute) without declaring *
 *  	this attribute. This trick deactivates a number *
 *      of checks (for keeping derived attributes and   *
 *      attribute indexes consistent).                  *
 *   2) Meta and dummy index or key attributes are not  *
 *      supported.                                      *
 *   3) Dummy attributes may be used for propagating    *
 *      graph changes along arbitrarily long paths in   *
 *      a graph (by translating an n-context dependency *
 *      between two attributes into n 1-context depen-  *
 *      dencies between dummy attributes).              *
 *   4) Dummy attributes only are allowed to have a     *
 *      constant length of size 0.                      *
 *                                                      *
 ********************************************************/

void
PGCDeclareAttrType(GraphNumber HostGraph, Surrogate Scheme, PGCMString ModuleName, PGCMString TypeName, TypeNumber AttrType);

void
PGCGetStdImpTypeSize(GraphNumber Graph, TypeNumber Type, CARDINAL *Size);

void
PGCSetEvalFunction(GraphNumber WorkGraph, Surrogate Scheme, PGCMString SetForAttr, PGCMString SetForCT, PGCMString Name);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Set the name of the evaluation function for the    *
 *   attribute "SetForAttr". This name will be          *
 *   valid for all nodes that belong to the class/type  *
 *   "SetForCT" with the exception of those attributes  *
 *   which belong to a subclass (type) with a redefini- *
 *   tion of the evaluation function.                   *
 *   The purpose of an evaluation function depends on   *
 *   the attribute's kind:                              *
 *      derived:   Recompute an attribute's value.      *
 *      intrinsic: Initialize new attribute instances   *
 *                 (not for intrinsic KEY attribute).   *
 *      constant:  Compute constant value for all nodes *
 *                 of given node type (i.e. the 'Name'  *
 *                 function has a node type instead of  *
 *                 a node as one of its parameters).    *
 *      dummy:     Not useful!                          *
 *                                                      *
 * Note:                                                *
 *                                                      *
 *   1) This action will not take place before the      *
 *      scheme is committed.                            *
 *   2) The name of the evaluation function may be      *
 *      redefined in subclasses/subtypes.               *
 *   3) You have to use "AGBindEvaluationFunction" to   *
 *      provide GRAS at runtime with the code addresses *
 *      of these functions.                             *
 *                                                      *
 * Feature:                                             *
 *                                                      *
 *   The main purpose of an evaluation function is to   *
 *   compute a new value for an invalid attribute and   *
 *   to store this value within the proper attribute    *
 *   itself by using 'AGPutAttributeSubstr'.            *
 *                                                      *
 ********************************************************/

void
PGCGetAttributeNumber(GraphNumber HostGraph, PGCMString AttrName, AttributeNumber *AttrNo, BOOLEAN *Existent);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Get the number of an attribute referenced by it's  *
 *   name. If an attribute with this name doesn't       *
 *   exists in the HostGraph, the value of Existent is  *
 *   set to FALSE.                                      *
 *                                                      *
 * Note:                                                *
 *   This action will not take place before the scheme  *
 *   is committed.                                      *
 *                                                      *
 ********************************************************/

void
PGCGetAttributeName(GraphNumber HostGraph, AttributeNumber AttrNo, PGCMString *AttrName, BOOLEAN *Existent);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Get the name of an attribute referenced by it's    *
 *   number. If an attribute with this number doesn't   *
 *   exists in the HostGraph, the value of Existent is  *
 *   set to FALSE.                                      *
 *                                                      *
 * Note:                                                *
 *   This action will not take place before the scheme  *
 *   is committed.                                      *
 *                                                      *
 ********************************************************/

void
PGCAttributeValueToStringSet(GraphNumber HostGraph, NodeNumber Node, AttributeNumber AttNo, Set_Type *StringSet, BOOLEAN *Existent);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Returns for a given attribute at a given node the  *
 *   string representations of its values as a set of   *
 *   strings (even in the case of a single value).      *
 * Note:                                                *
 *                                                      *
 *   StringSet must contain single value if attribute   *
 *   is not defined as set.                             *
 *   Use GSelectElem to remove the elements from the    *
 *   returned StringSet. The type of these elements is  *
 *   PGCMString.                                        *
 *                                                      *
 ********************************************************/

void
PGCStringSetToAttributeValue(GraphNumber HostGraph, NodeNumber Node, AttributeNumber AttNo, Set_Type StringSet, BOOLEAN *Existent);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Takes the string representations of an attribute   *
 *   value as input, converts these strings into their  *
 *   internal values and stores these values as the     *
 *   new attribute value.                               *
 *                                                      *
 * Note:                                                *
 *                                                      *
 *   StringSet must contain single value if attribute   *
 *   is not defined as set.                             *
 *   Use GElemToSet with argument of type PGCMString to *
 *   convert a single string into a set of strings and  *
 *   GUnion(Set1, Set1, Set2) to add the elements of a  *
 *   Set2 to the elements of a Set1.                    *
 *                                                      *
 ********************************************************/

void
PGCGetAttributeProperties(GraphNumber HostGraph, AttributeNumber AttNo, AttributeKind *Kind, IndexProperties *Props, PGCMString *Name, ValueTypeNumber *ValueType, Cardinality *AttCard, BOOLEAN *ConstSize, CARDINAL *ValueSize, BOOLEAN *IsNodeType, BOOLEAN *Existent);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 * Returns all information about an attribute which is  *
 * stored in the graph's schema. The information may be *
 * used to convert string representations of attribute  *
 * values into their internal representations and back. *
 *                                                      *
 * Note:                                                *
 *    AttCard # OblUnique and ValueType = Surrogate:    *
 *    =>  Read/WriteSetAttribute(Valid)                 *
 *        ValueToString/StringToValue                   *
 *    AttCard # OblUnique and ValueType # Surrogate:    *
 *    =>  Read/WriteGSetAttribute(Valid)                *
 *        GValueToString/StringToGValue                 *
 *    otherwise:                                        *
 *    =>  ReadWriteAttribute(Valid)                     *
 *                                                      *
 ********************************************************/

BOOLEAN
PGCIsElemTypeOfGSet(GraphNumber HostGraph, ValueTypeNumber ValueType);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 * Checks whether an object of given type is an element *
 * of a generic set or not (i. e. a node set).          *
 *                                                      *
 ********************************************************/

void
PGCDeclareDirectDependency(GraphNumber WorkGraph, Surrogate Scheme, PGCMString DeclFor, PGCMString Dep, PGCMString DepOn);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Statically declare a dependency of the attribute   *
 *   "Dep" from the attribute "DepOn". This             *
 *   dependency will be valid for all nodes that belong *
 *   to the class/type "DeclFor".                       *
 *   GRAS will delete all attributes that are affected  *
 *   by attribute writing or structural changes of the  *
 *   graph. This values must be reevaluated later on.   *
 *                                                      *
 * Note:                                                *
 *   This action will not take place before the scheme  *
 *   is committed.                                      *
 *                                                      *
 ********************************************************/

void
PGCDeclareInDependency(GraphNumber WorkGraph, Surrogate Scheme, PGCMString DeclFor, PGCMString Dep, PGCMString DepOn, PGCMString EdgeName);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Statically declare a dependency of the attribute   *
 *   "Dep" from the attribute "DepOn". This             *
 *   dependency will be valid for all nodes that belong *
 *   to the class/type "DeclFor".                       *
 *   "EdgeName" specifies the incoming edge, through    *
 *   which the dependency is declared                   *
 *   GRAS will delete all attributes that are affected  *
 *   by attribute writing or structural changes of the  *
 *   graph. This values must be reevaluated later on.   *
 *                                                      *
 * Note:                                                *
 *   This action will not take place before the scheme  *
 *   is committed.                                      *
 *                                                      *
 ********************************************************/

void
PGCDeclareOutDependency(GraphNumber WorkGraph, Surrogate Scheme, PGCMString DeclFor, PGCMString Dep, PGCMString DepOn, PGCMString EdgeName);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Statically declare a dependency of the attribute   *
 *   "Dep" from the attribute "DepOn". This             *
 *   dependency will be valid for all nodes that belong *
 *   to the class/type "DeclFor".                       *
 *   "EdgeName" specifies the outgoing edge, through    *
 *   which the dependency is declared                   *
 *   GRAS will delete all attributes that are affected  *
 *   by attribute writing or structural changes of the  *
 *   graph. This values must be reevaluated later on.   *
 *                                                      *
 * Note:                                                *
 *   This action will not take place before the scheme  *
 *   is committed.                                      *
 *                                                      *
 ********************************************************/
/********************************************************************
 * Graph-Befehle                                                    *
 ********************************************************************/

void
PGCCreateTypedGraph(GraphNumber *Graph, ExternNumber *ExtNumber, BacktrackInfo *ChoiceInfo, PGCMString SpecName, PGCMString Version, PGCMString Pool, PGCMString Name, GraphType Type);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Creation of a graph named 'Name' that is placed    *
 *   in the pool 'Pool'. If there is no error, the      *
 *   parameter 'Graph' will return the external         *
 *   graph number. The new graph will immediately be    *
 *   opened with write access.                          *
 *   Additonally a Choicegraph with name                *
 *   'Name'_Choice is created, wich is used to          *
 *   store backtracking information. The number of this *
 *   choicegraph and some additional backtracking       *
 *   information is returned in 'ChoiceInfo'.           *
 *                                                      *
 *   If one of the graphs already exists, it will not   *
 *   be created.                                        *
 *                                                      *
 * Warning:                                             *
 *                                                      *
 *   If the system crashes, the graph will be stored    *
 *   in a state, that may be inconsistent!              *
 *                                                      *
 * Errors Returned:                                     *
 *                                                      *
 *   AlreadyExistent: The graph already exists          *
 *   Overflow       : number of open graphs exceeds its *
 *                    maximum                           *
 *   NotExistent    : The pool doesn't exist            *
 *                                                      *
 * Error Messages:                                      *
 *                                                      *
 *   SYNTAX E. : illegal graph name or pool name        *
 *   EXISTENT  : the graph doesn't logically exist      *
 *               anymore, but there are some files left *
 *   SIZE ERROR: too many opened graphs at this moment  *
 *   BUSY      : too many applications running on the   *
 *               graph pool                             *
 *   NOT LOGGED: application has not called AGLogin     *
 *               before trying this operation           *
 *                                                      *
 ********************************************************/

void
PGCOpenGraphPool(PGCMString Pool, GraphPoolMode Mode, TStatus *Stat);

void
PGCCloseGraphPool(PGCMString Pool);

void
PGCLogin(const ApplicationName Name);

void
PGCLogout(void);


void
PGCVerifyGraphScheme(GraphNumber Graph, BacktrackInfo ChoiceInfo, PGCMString SpecName, PGCMString Version, BOOLEAN *Ok);

void
PGCOpenGraph(GraphNumber *Graph, BacktrackInfo *ChoiceInfo, BOOLEAN *NotOkay, PGCMString Pool, PGCMString Name);

void
PGCCloseGraph(GraphNumber Graph, BacktrackInfo ChoiceInfo, BOOLEAN Save);

void
PGCGraphExists(PGCMString PoolName, PGCMString GraphName, BOOLEAN *Exist);

void
PGCSetChoiceSelectionMode(BOOLEAN Random);

void
PGCGetChoiceSelectionMode(BOOLEAN *Random);

void
PGCSetUniqueIDsOnOff(GraphNumber Graph, BOOLEAN On);

void
PGCCreateNode(NodeNumber *NewNode, GraphNumber Graph, NodeNumber Environment, TypeNumber NodeType);

void
PGCCreateEdge(GraphNumber Graph, NodeNumber SourceNode, NodeNumber TargetNode, TypeNumber EdgeType);

void
PGCCreateEdgeBundle(GraphNumber Graph, SetDescription Source, SetDescription Target, TypeNumber EdgeType);

void
PGCDeleteEdge(GraphNumber Graph, NodeNumber SourceNode, NodeNumber TargetNode, TypeNumber EdgeType);

void
PGCDeleteEdgeBundle(GraphNumber Graph, SetDescription Source, SetDescription Target, TypeNumber EdgeType);

void
PGCDeleteNodeAndEdges(GraphNumber Graph, NodeNumber Node);

 
 
 
 
 
 /********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Deletes the node and its edges. If you have        *
 *   enabled unqiue ids a special event is raised       *
 *   after the node has been deleted. The user defined  *
 *   event is `EventEdge_DeleteNodeUnique'. The unique  *
 *   id is stored in the SNode and TNode fields of the  *
 *   event record, where SNode is ID1 and TNode is ID2. *
 *                                                      *
 * Error Messages:                                      *
 *                                                      *
 *   <unknown>                                          *
 *                                                      *
 ********************************************************/

void
PGCDeleteNodeSetAndEdges(GraphNumber Graph, SetDescription NodeSet);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Deletes the nodes in the set and their edges. If   *
 *   you have enabled unqiue ids a special event is     *
 *   raised after the node has been deleted. The user   *
 *   defined event is `EventEdge_DeleteNodeUnique'. The *
 *   unique id is stored in the SNode and TNode fields  *
 *   of the event record, where SNode is ID1 and TNode  *
 *   is ID2.                                            *
 *                                                      *
 * Error Messages:                                      *
 *                                                      *
 *   <unknown>                                          *
 *                                                      *
 ********************************************************/

void
PGCGetUniqueIDOfNode(GraphNumber Graph, NodeNumber CurrNode, UniqueID *GrasId, BOOLEAN *Exists);

void
PGCGetNodeWithUniqueID(GraphNumber Graph, UniqueID GrasId, NodeNumber *CurrNode, BOOLEAN *Exists);

void
PGCGetAllNodeClasses(GraphNumber Graph, SetDescription *NodeClassSet);

void
PGCGetAllEdgeTypes(GraphNumber Graph, SetDescription *EdgeTypeSet);

void
PGCGetAllNodesOfGraph(SetDescription *Target, GraphNumber Graph);

void
PGCGetAllNodesOfType(SetDescription *Target, GraphNumber Graph, TypeNumber NodeType);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Get all nodes of the type, which is specifies by   *
 *   its DeclNode. The set                              *
 *   must have been created. All node types must use    *
 *   the membership relation.                           *
 *                                                      *
 ********************************************************/

void
PGCGetAllNodesOfClass(SetDescription *Target, GraphNumber Graph, TypeNumber NodeClass);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Get all nodes of the class, which is specifies by  *
 *   its DeclNode. The set                              *
 *   must have been created. All node types must use    *
 *   the membership relation.                           *
 *                                                      *
 ********************************************************/

void
PGCGetAllNodesOfTypeSet(SetDescription *Target, GraphNumber Graph, SetDescription TypeSet);
/********************************************************
 *                                                      *
 * Purpose:                                             *
 *                                                      *
 *   Get all nodes of the types, which are specifies by *
 *   their DeclNodes, stored in TypeSet . The set       *
 *   must have been created. All node types must use    *
 *   the membership relation.                           *
 *                                                      *
 ********************************************************/

void
PGCWriteAttribute(BYTE_ARRAY Source, CARDINAL HighSource, GraphNumber Graph, NodeNumber Node, AttributeNumber AttNo);

void
PGCWriteSetAttribute(SetDescription Source, GraphNumber Graph, NodeNumber Node, AttributeNumber AttNo);

void
PGCWriteGSetAttribute(Set_Type Source, GraphNumber Graph, NodeNumber Node, AttributeNumber AttNo);

void
PGCReadAttribute(BYTE_ARRAY Target, CARDINAL HighTarget, GraphNumber Graph, NodeNumber Node, AttributeNumber AttNo);

void
PGCReadAttributeValid(BYTE_ARRAY Target, CARDINAL HighTarget, GraphNumber Graph, NodeNumber Node, AttributeNumber AttNo, BOOLEAN *Valid);

void
PGCGetByIndex(SetDescription *Target, GraphNumber Graph, AttributeNumber AttNo, BYTE_ARRAY Value, CARDINAL HighValue);

void
PGCReadGSetAttribute(Set_Type *Target, GraphNumber Graph, NodeNumber Node, AttributeNumber AttNo);

void
PGCReadGSetAttributeValid(Set_Type *Target, GraphNumber Graph, NodeNumber Node, AttributeNumber AttNo, BOOLEAN *Valid);

void
PGCReadSetAttribute(SetDescription *Target, GraphNumber Graph, NodeNumber Node, AttributeNumber AttNo);

void
PGCReadSetAttributeValid(SetDescription *Target, GraphNumber Graph, NodeNumber Node, AttributeNumber AttNo, BOOLEAN *Valid);

void
PGCUpdateAttrIndex(GraphNumber Graph, AttributeNumber AttNo);

void
PGCEvalConstrAttribute(GraphNumber Graph, AttributeNumber AttNo);

void
PGCStartGraphModification(GraphNumber Graph);

void
PGCEndGraphModification(GraphNumber Graph);

void
PGCDelayActionExecution(GraphNumber Graph);

void
PGCReleaseActionExecution(GraphNumber Graph);

void
PGCActivateDaemon(GraphNumber Graph, GraphEvent Event, ActionPriority Priority, ActionProc Action);

void
PGCKillDaemon(GraphNumber Graph, GraphEvent Event, ActionProc Action);

void
PGCRaiseEvent(GraphNumber Graph, Surrogate p1, Surrogate p2, Surrogate p3);

void
PGCBeginTransaction(GraphNumber HostGraph, BOOLEAN DisableBrowserUpdate, BacktrackInfo *ChoiceInfo);

void
PGCEndTransaction(GraphNumber HostGraph, BOOLEAN EnableBrowserUpdate, BacktrackInfo ChoiceInfo);

void
PGCEnableBrowserUpdate(GraphNumber HostGraph);

void
PGCDisableBrowserUpdate(GraphNumber HostGraph);

void
PGCPendingTransactions(GraphNumber HostGraph, CARDINAL *Depth);

void
PGCUserUndo(GraphNumber HostGraph, BacktrackInfo ChoiceInfo, CARDINAL *N);

void
PGCUserRedo(GraphNumber HostGraph, BacktrackInfo ChoiceInfo, CARDINAL *N);

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 /********************************************************************
 * Mengen-Befehle                                                   *
 ********************************************************************/

void
PGCAssignGenSet(Set_Type *Target, Set_Type Source);

SetDescription
PGCEmptySet(GraphNumber Graph);

Set_Type
PGCGEmptySet(CARDINAL TypeLength);

Set_Type
PGCGInitSetOfNSurrogates(Set_Type Set, Surrogate SurrVal);

INTEGER
PGCCard(SetDescription Set);

INTEGER
PGCGCard(Set_Type Set);

BOOLEAN
PGCDef(SetDescription Set);

BOOLEAN
PGCGDef(Set_Type Set);

Set_Type
PGCGPlus(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGPlusWithRightAll(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGPlusWithLeftAll(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGMinus(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGMinusWithLeftAll(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGMinusWithRightAll(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGTimes(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGTimesWithRightAll(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGTimesWithLeftAll(Set_Type Set1, Set_Type Set2);

PGCMString
PGCConcat(PGCMString Str1, PGCMString Str2);

void
PGCCConcat(PGCMString Str1, PGCMString Str2, PGCMString *ResultStr);

Set_Type
PGCGConcat(Set_Type Set1, Set_Type Set2);

INTEGER
PGCStrPos(PGCMString Str1, PGCMString Str2);

Set_Type
PGCGStrPos(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGDiv(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGDivWithRightAll(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGDivWithLeftAll(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGMod(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGModWithRightAll(Set_Type Set1, Set_Type Set2);

Set_Type
PGCGModWithLeftAll(Set_Type Set1, Set_Type Set2);

SetDescription
PGCElemToSet(Surrogate Element, GraphNumber Graph);

Set_Type
PGCGElemToSet(BYTE_ARRAY Element, CARDINAL HighElement);

SetDescription
PGCAddElemToSet(SetDescription Set, NodeNumber Elem);

SetDescription
PGCDeleteElemFromSet(SetDescription Set, NodeNumber Elem);

NodeNumber
PGCGetAnyElemOfSet(SetDescription Set);

BOOLEAN
PGCElemIsInSet(NodeNumber Elem, SetDescription Set);

BOOLEAN
PGCGElemIsInSet(BYTE_ARRAY Elem, CARDINAL HighElem, Set_Type Set);

Surrogate
PGCSetToElem(SetDescription Set);

void
PGCGSetToElem(BYTE_ARRAY Elem, CARDINAL HighElem, Set_Type Set);

SetDescription
PGCUnion(SetDescription Set1, SetDescription Set2);

Set_Type
PGCGUnion(Set_Type Set1, Set_Type Set2);

SetDescription
PGCIntersection(SetDescription Set1, SetDescription Set2);

Set_Type
PGCGIntersection(Set_Type Set1, Set_Type Set2);

SetDescription
PGCDifference(SetDescription Set1, SetDescription Set2);

Set_Type
PGCGDifference(Set_Type Set1, Set_Type Set2);

INTEGER
PGCSize(SetDescription Set);

BOOLEAN
PGCIsEmpty(SetDescription Set);

BOOLEAN
PGCGIsEmpty(Set_Type Set);

BOOLEAN
PGCIsNotEmpty(SetDescription Set);

BOOLEAN
PGCGIsNotEmpty(Set_Type Set);

BOOLEAN
PGCSetEqual(SetDescription Set1, SetDescription Set2);

BOOLEAN
PGCGSetEqual(Set_Type Set1, Set_Type Set2);

BOOLEAN
PGCSetInclusion(SetDescription Set1, SetDescription Set2);

BOOLEAN
PGCGSetInclusion(Set_Type Set1, Set_Type Set2);

void
PGCInitSetDesc(SetDescription *Set);

void
PGCInitGenSet(Set_Type *Set);

void
PGCKillGenSet(Set_Type *Set);

void
PGCAssignSetDesc(SetDescription *Target, SetDescription Source);

void
PGCKillSetDesc(SetDescription *Set);

BOOLEAN
PGCSelectEl(SetDescription *NewLoopSet, NodeNumber *Elem, SetDescription LoopSet);

BOOLEAN
PGCGSelectEl(Set_Type *NewLoopSet, BYTE_ARRAY Elem, CARDINAL HighElem, Set_Type LoopSet);

SetDescription
PGCTypeCheck(SetDescription SetVal1, TypeNumber NodeTypeOrClass, Cardinality Crdlnty, BOOLEAN IsNodeSet, GraphNumber GraphVal);

Set_Type
PGCTypeCheckStandard(Set_Type GSetVal1, Cardinality Crdnlty);
/********************************************************************
 * Pfad-Befehle                                                     *
 ********************************************************************/

SetDescription
PGCNone(SetDescription Source);

SetDescription
PGCSelf(SetDescription Source);

BOOLEAN
PGCTestElemOutToTarget(GraphNumber Graph, NodeNumber Source, TypeNumber EdgeType);

BOOLEAN
PGCTestElemInFromSource(GraphNumber Graph, NodeNumber Source, TypeNumber EdgeType);

SetDescription 
PGCSetOutToTarget(SetDescription Source, TypeNumber EdgeType);

NodeNumber
PGCElemOutToTarget(GraphNumber Graph, NodeNumber Source, TypeNumber EdgeType);

SetDescription
PGCSetInFromSource(SetDescription Source, TypeNumber EdgeType);

NodeNumber
PGCElemInFromSource(GraphNumber Graph, NodeNumber Source, TypeNumber EdgeType);

SetDescription
PGCTypeOf(SetDescription SetVal);

TypeNumber
PGCElemTypeOf(NodeNumber NodeVal1, GraphNumber GraphVal1);

SetDescription
PGCGetTypesOfClass(GraphNumber Graph, TypeNumber NodeClass);

BOOLEAN
PGCNodeIsInstanceOf(GraphNumber Graph, TypeNumber NodeTypeOrClass, NodeNumber Node);

void
PGCShowNodeClassName(GraphNumber Graph, TypeNumber NodeClass, PGCMString *Name, BOOLEAN *Ok);

void
PGCShowNodeTypeName(GraphNumber Graph, TypeNumber NodeType, PGCMString *Name, BOOLEAN *Ok);

void
PGCShowEdgeTypeName(GraphNumber Graph, TypeNumber EdgeType, PGCMString *Name);

void
PGCShowAllNodeTypes(GraphNumber Graph, TypeNumber NodeClass, SetDescription *NodeTypeSet);

void
PGCShowDirectSubtypes(GraphNumber Graph, TypeNumber NodeClass, SetDescription *NodeTypeSet);

void
PGCShowDirectSubclasses(GraphNumber Graph, TypeNumber NodeClass, SetDescription *SetOfClasses);

void
PGCShowDirectSuperclasses(GraphNumber Graph, TypeNumber NodeClass, SetDescription *SetOfClasses);

void
PGCShowEdgeTypeProps(GraphNumber Graph, TypeNumber EdgeType, TypeNumber *SourceNodeClassOrType, Cardinality *SourceCardinality, TypeNumber *TargetNodeClassOrType, Cardinality *TargetCardinality, BOOLEAN *Existent);

void
PGCTestAndShowEdgeTypeNumber(GraphNumber Graph, PGCMString Name, TypeNumber *EdgeType, BOOLEAN *Existent);

void
PGCTestAndShowNodeClassNumber(GraphNumber Graph, PGCMString Name, TypeNumber *NodeClass, BOOLEAN *Existent);

void
PGCTestAndShowNodeTypeNumber(GraphNumber Graph, PGCMString Name, TypeNumber *NodeType, BOOLEAN *Existent);

SetDescription
PGCInstanceOfClause(SetDescription Source, TypeNumber NodeTypeOrClass);

SetDescription
PGCIsOfClass(SetDescription Source, TypeNumber NodeClass);

SetDescription
PGCTypeIsOfClass(SetDescription Source, TypeNumber NodeClass);

SetDescription
PGCIsOfTypeSet(SetDescription Source, SetDescription TypeSet);

BOOLEAN
PGCNodeIsOfClass(GraphNumber Graph, NodeNumber Source, TypeNumber NodeType);

BOOLEAN
PGCAllInSetIsOfClass(SetDescription Source, TypeNumber NodeType);

BOOLEAN
PGCNodeIsOfType(GraphNumber Graph, NodeNumber Source, TypeNumber NodeType);

void
PGCGetOutContextOfNode(GraphNumber Graph, NodeNumber Source, RelDescription *Rel);

void
PGCGetInContextOfNode(GraphNumber Graph, NodeNumber Target, RelDescription *Rel);

BOOLEAN
PGCAllInSetIsOfType(SetDescription Source, NodeNumber Node);

 
 
 
 /********************************************************************
 * Attributkontroll-Befehle                                         *
 ********************************************************************/

void
PGCDownloadEvalProc(GraphNumber Graph, EvalFunction ProcPtr, PGCMString ProcName);
/********************************************************************
 * Nichtdeterministische Befehle                                    *
 ********************************************************************/

void
PGCNDChooseStat(BacktrackInfo *BtInfo, SetDescription *Set, BYTE_ARRAY Elem, CARDINAL HighElem, GraphNumber Graph);

void
PGCGNDChooseStat(BacktrackInfo *BtInfo, Set_Type *Set, BYTE_ARRAY Elem, CARDINAL HighElem, GraphNumber Graph);

void
PGCNDIsoChooseStat(BacktrackInfo *BtInfo, SetDescription *Set, NodeNumber *Elem, SetDescription *IsoSet, SetDescription *NotSet, GraphNumber Graph);

void
PGCNDHomoChooseStat(BacktrackInfo *BtInfo, SetDescription *Set, NodeNumber *Elem, SetDescription *IsoSet, SetDescription *HomoSet, SetDescription *NotSet, GraphNumber Graph);

void
PGCNDIsoOptChooseStat(BacktrackInfo *BtInfo, SetDescription *CandSet, SetDescription *ChosenElem, SetDescription *IsoSet, SetDescription *ImagesOfSets, SetDescription *NotSet, GraphNumber Graph);

void
PGCNDHomoOptChooseStat(BacktrackInfo *BtInfo, SetDescription *CandSet, SetDescription *ChosenElem, SetDescription *IsoSet, SetDescription *ImagesOfSets, SetDescription *HomoSet, SetDescription *NotSet, GraphNumber Graph);

void
PGCIsoChooseAllStat(SetDescription *CandSet, SetDescription *ImagesOfSets, SetDescription ImagesOfNodes, BacktrackInfo BtInfo, GraphNumber Graph);

void
PGCHomoChooseAllStat(SetDescription *CandSet, SetDescription *HomoSet, SetDescription *ImagesOfSets, SetDescription ImagesOfNodes, BacktrackInfo BtInfo, GraphNumber Graph);

void
PGCNDConcStat(BacktrackInfo *BtInfo, BacktrackInfo *SubBtInfo, Surrogate *ChosenElem, GraphNumber Graph, Surrogate MaxNumber);

void
PGCConstrConcStat(Surrogate NoOfBranches, BacktrackInfo *BtInfo, BacktrackInfo *SecBtInfo, Surrogate *ChosenElem);
/********************************************************************
 * 'Backtracking'-Befehle                                           *
 ********************************************************************/

void
PGCChoose(NodeNumber *Element, SetDescription *NewSet, SetDescription OldSet);

void
PGCFail(void);


void
PGCTrueOnFailFalse(BOOLEAN *FirstCall, SHORTCARD ChoiceId);

void
PGCHalt(void);


void
PGCError(void);


void
PGCConstraintIsHurt(void);


void
PGCAttrConstrHurt(void);


void
PGCGraphPathError(void);


void
PGCDefSetCheckpoint(BacktrackInfo *InBtInfo, GraphNumber Graph);

void
PGCDefUndo(GraphNumber Graph, BacktrackInfo InBtInfo);

void
PGCEvalAndStat(BacktrackInfo *OutBtInfo, BacktrackInfo *OutSubBtInfo, Set_Type *OutAndListSet, Set_Type *OutStillPossible, Surrogate *OutChosenElem, GraphNumber Graph, BacktrackInfo InBtInfo, BacktrackInfo InSubBtInfo, Set_Type InAndListSet, Set_Type InStillPossible, Surrogate InChosenElem);

void
PGCEvalBranchStat(BacktrackInfo *OutBtInfo, BacktrackInfo *OutSubBtInfo, BOOLEAN *OutGuard, Surrogate *OutChosenElem, GraphNumber Graph, BacktrackInfo InBtInfo, BacktrackInfo InSubBtInfo, Surrogate InMaxNumber, BOOLEAN InGuard, Surrogate InChosenElem);

void
PGCEvalStat(BacktrackInfo *OutBtInfo, NodeNumber *OutNode, SetDescription *OutSet, BacktrackInfo *OutSubBtInfo, SetDescription *OutSetOfNodes, GraphNumber Graph, BOOLEAN InnermostFlag, BacktrackInfo InBtInfo, NodeNumber InNode, SetDescription InSet, BacktrackInfo InSubBtInfo, SetDescription InSetOfNodes);

void
PGCEvalForAllStat(BacktrackInfo *OutBtInfo, BYTE_ARRAY OutElem, CARDINAL HighOutElem, SetDescription *OutSet, BacktrackInfo *OutSubBtInfo, INTEGER *OutNumNDVars, GraphNumber Graph, BacktrackInfo InBtInfo, BYTE_ARRAY InElem, CARDINAL HighInElem, SetDescription InSet, BacktrackInfo InSubBtInfo, INTEGER InNumNDVars);

void
PGCEvalGForAllStat(BacktrackInfo *OutBtInfo, BYTE_ARRAY OutElem, CARDINAL HighOutElem, Set_Type *OutSet, BacktrackInfo *OutSubBtInfo, INTEGER *OutNumNDVars, GraphNumber Graph, BacktrackInfo InBtInfo, BYTE_ARRAY InElem, CARDINAL HighInElem, Set_Type InSet, BacktrackInfo InSubBtInfo, INTEGER InNumNDVars);

void
PGCEvalExprStat(BacktrackInfo *OutBtInfo, BYTE_ARRAY OutElemPtr, CARDINAL HighOutElemPtr, SetDescription *OutSet, GraphNumber Graph, BacktrackInfo InBtInfo, BYTE_ARRAY InElemPtr, CARDINAL HighInElemPtr, SetDescription InSet);

void
PGCEvalGExprStat(BacktrackInfo *OutBtInfo, BYTE_ARRAY OutElemPtr, CARDINAL HighOutElemPtr, Set_Type *OutSet, GraphNumber Graph, BacktrackInfo InBtInfo, BYTE_ARRAY InElemPtr, CARDINAL HighInElemPtr, Set_Type InSet);

void
PGCEvalLoopStat(BacktrackInfo *OutBtInfo, BacktrackInfo *OutSubBtInfo, BOOLEAN *OutGuard, Surrogate *OutChosenElem, GraphNumber Graph, BacktrackInfo InBtInfo, BacktrackInfo InSubBtInfo, Surrogate InMaxNumber, BOOLEAN InGuard, Surrogate InChosenElem);

void
PGCTAssign(BacktrackInfo *OutBtInfo, BYTE_ARRAY OutElemPtr, CARDINAL HighOutElemPtr, BacktrackInfo InBtInfo, BYTE_ARRAY InElemPtr, CARDINAL HighInElemPtr);

void
PGCTAssignSet(SetDescription *OutSet, BacktrackInfo *OutBtInfo, BacktrackInfo InBtInfo, SetDescription InSet);

void
PGCTAssignElemSet(NodeNumber *OutElem, SetDescription *OutSet, BacktrackInfo *OutBtInfo, NodeNumber InElem, SetDescription InSet, BacktrackInfo InBtInfo);

void
PGCTAssignGSet(Set_Type *OutSet, BacktrackInfo *OutBtInfo, BacktrackInfo InBtInfo, Set_Type InSet);

void
PGCOnContinueOldFail(BacktrackInfo *OutBtInfo, GraphNumber Graph, BacktrackInfo InBtInfo);

void
PGCOnContinueOldUndo(GraphNumber Graph, BacktrackInfo InBtInfo);

void
PGCOnSuccessSetCheckpoint(BacktrackInfo *InBtInfo, GraphNumber Graph);

void
PGCHandleCheckpoint(BacktrackInfo *BtInfo, GraphNumber Graph);

void
PGCInitNull(BYTE_ARRAY OutElemPtr, CARDINAL HighOutElemPtr);

void
PGCInitBtInfo(BacktrackInfo *OutBtInfo, GraphNumber Graph);

void
PGCInitChoiceVars(NodeNumber *InNode, SetDescription *InSet, BacktrackInfo *InSubBtI, BacktrackInfo InBtI, GraphNumber Graph);

void
PGCInitLoopAndVars(Surrogate *InNo, Set_Type *InSet1, Set_Type *InSet2, BacktrackInfo *InSubBtI, BacktrackInfo InBtI);

void
PGCInitLoopBranchVars(Surrogate *InNo, BOOLEAN *Guard, BacktrackInfo *InSubBtI, BacktrackInfo InBtI);

void
PGCInitConcVars(Surrogate *InNo, BacktrackInfo *InSubBtI, BacktrackInfo InBtI);

void
PGCInitGLoopExprVars(Set_Type *Set, BYTE_ARRAY Elem, CARDINAL HighElem, GraphNumber Graph);

void
PGCInitLoopExprVars(SetDescription *Set, BYTE_ARRAY Elem, CARDINAL HighElem, GraphNumber Graph);

void
PGCInitOrVars(Surrogate *InNo, Surrogate *InNo2, Set_Type *InSet, BacktrackInfo *InSubBtI, BacktrackInfo InBtI);

void
PGCInitLoopStatVars(Surrogate *InNo, BOOLEAN *Guard, BacktrackInfo *InSubBtI, BacktrackInfo InBtI);

void
PGCInitSubBtInfo(BacktrackInfo *InSubBtI, BacktrackInfo InBtI);

BacktrackInfo
PGCCheckAndSetBtInfo(BacktrackInfo InBtInfo, BOOLEAN Backtrack, BOOLEAN IsPar, BOOLEAN IsNonDet);

BacktrackInfo
PGCNegateBtInfo(BacktrackInfo InBtInfo);

BacktrackInfo
PGCSetBtInfo(BOOLEAN Flag, BacktrackInfo InBtInfo);

BacktrackInfo
PGCSetBtInfoTestSuccess(BacktrackInfo InBtInfo);

BacktrackInfo
PGCSetBtInfoChooseNext(BacktrackInfo InBtInfo);

BacktrackInfo
PGCSetBtInfoChooseLast(BacktrackInfo InBtInfo);

BacktrackInfo
PGCSetBtInfoFailed(BacktrackInfo InBtInfo);

BacktrackInfo
PGCSetBtInfoInitial(BacktrackInfo InBtInfo);

BOOLEAN
PGCStatIsSuccess(BacktrackInfo InBtInfo);

BacktrackInfo
PGCSetBtInfoContinueOld(BacktrackInfo InBtInfo, Surrogate No);

BOOLEAN
PGCStatIsContinueOld(BacktrackInfo InBtInfo);

BOOLEAN
PGCStatIsFailed(BacktrackInfo InBtInfo);

BOOLEAN
PGCStatIsTestSuccess(BacktrackInfo InBtInfo);
/*******************************************************************
 * Tests                                                           *
 *******************************************************************/

void
PGCTestEdge(BOOLEAN *Exist, GraphNumber Graph, NodeNumber SourceNode, NodeNumber TargetNode, TypeNumber EdgeType);
/*****************************************************************
  Importierte Daten                                              *
 *****************************************************************/

BOOLEAN
PGCImpDataEqual(APtr Ptr1, APtr Ptr2);
/******************************************************************
 * Stringbefehle                                                  *
 ******************************************************************/

BOOLEAN
PGCStrEqual(PGCMString Str1, PGCMString Str2);

INTEGER
PGCLength(PGCMString PGCMStringVal1);

Set_Type
PGCGLength(Set_Type GSetVal1);

PGCMString
PGCChar(INTEGER IntVar1);

Set_Type
PGCGChar(Set_Type GSetVal1);

INTEGER
PGCOrd(PGCMString PGCMStringVal1);

Set_Type
PGCGOrd(Set_Type GSetVal1);
/****************************************************************
 * Die naechten beiden Prozeduren bilden aus dem uebergebenen   *
 * String einen Substring, beginnend mit dem Charakter an Pos.  *
 * 'IntVal1' und endend mit dem Char. an Pos. 'IntVal2' !!!     *
 ****************************************************************/

void
PGCCSubstr(PGCMString PGCMStringVal1, INTEGER IntVal1, INTEGER IntVal2, PGCMString *ResultStr);

PGCMString
PGCSubstr(PGCMString PGCMStringVal1, INTEGER IntVal1, INTEGER IntVal2);

Set_Type
PGCGSubstr(Set_Type GSetVal1, Set_Type GSetVal2, Set_Type GSetVal3);

void
PGCStringToValue(GraphNumber Graph, CARDINAL ValueSize, Set_Type PGCMStringVal, ValueTypeNumber ValueType, Cardinality Crdnlty, BOOLEAN IsNodeType, SetDescription *RetSet);

void
PGCConvertStringToSCN(GraphNumber Graph, PGCMString InString, SchemeComponentNumber *OutSCN);

void
PGCValueToString(GraphNumber Graph, ValueTypeNumber ValueType, SetDescription Data, BOOLEAN IsNodeType, Set_Type *ResultStr);

void
PGCStringToGValue(GraphNumber Graph, CARDINAL ValueSize, Set_Type PGCMStringVal, ValueTypeNumber ValueType, Cardinality Crdnlty, BOOLEAN IsNodeType, Set_Type *RetSet);

void
PGCGValueToString(GraphNumber Graph, ValueTypeNumber ValueType, Set_Type Data, BOOLEAN IsNodeType, Set_Type *ResultStr);

 /********************************************************************
 * Hilfsprozeduren fuer das Mengenhandling                          *
 ********************************************************************/

PGCSetType
PGCSetDescToPGCSet(SetDescription Source);

PGCSetType
PGCGSetToPGCSet(Set_Type Source);

SetDescription
PGCSetToSetDesc(PGCSetType Source);

Set_Type
PGCSetToGSet(PGCSetType Source);

SetDescription
PGCCopySetDesc(SetDescription Source);

Set_Type
PGCCopyGSet(Set_Type Source);

BOOLEAN
PGCSetDescIsNotEmpty(SetDescription Set);

Surrogate
PGCSetToElement(SetDescription Set);

 
 /******************************************************************
 * Durchgeschleifte Attributbefehle                               *
 ******************************************************************/

void
PGCGetAllAttributesOfNode(GraphNumber Graph, NodeNumber Node, SetDescription *Attributes);

void
PGCShowAllAttributesOfNodeTypeOrClass(GraphNumber Graph, TypeNumber NodeTypeOrClass, SetDescription *AttributeSet);

void
PGCTestAndShowAttributeNumber(GraphNumber Graph, PGCMString Name, AttributeNumber *AttNo, BOOLEAN *Existent);

 
 
 
 
 /********************************************************************
 * Hilfsprozeduren fuer die Anbindung IPSEN <--> PROGRES            *
 ********************************************************************/

void
PGCNoteOpenGraphs(GraphNumber HostGraph, GraphNumber ChoiceGraph);

void
PGCNoteClosedGraphs(GraphNumber HostGraph, GraphNumber ChoiceGraph);
/******************************************************************
 * Durchgeschleifte Relationbefehle                               *
 ******************************************************************/

void
PGCRelCreate(RelDescription *Rel, GraphNumber Graph);

void
PGCRelKill(RelDescription *Rel);

void
PGCRelClear(RelDescription *Rel);

void
PGCRelRemoveAnyTuple(RelDescription *Rel, Surrogate *Surr1, Surrogate *Surr2, BOOLEAN *Found);

SHORTCARD
PGCRelSize(RelDescription Rel);

 
 /******************************************************************
 * Durchgeschleifte Setbefehle                                    *
 ******************************************************************/

void
PGCClearSet(SetDescription *Set);

void
PGCSetRemoveAnyElement(SetDescription *Set, Surrogate *Elem, BOOLEAN *Found);

 /******************************************************************
  Prozeduren, um an den Klassendescriptor gelangen                *
  Normalerweise sind das einfach globale Variablen; dies ist fuer *
  den Uebergang nach C aber nicht machbar                         *
 ******************************************************************/

void
PGCGetEdgeDescriptionClass(CARDINAL *Class);

void
PGCGetUniqueIDClass(CARDINAL *Class);

void
PGCGetUniqueIDAttrClass(CARDINAL *Class);

void
PGCDieNow(void);

#ifdef __cplusplus
}
#endif

#endif /* C_PGC_h_ */
