/*********************************************************************/
/*                                                                   */
/* Copyright 1994/95/96 Carsten Friedrich, University of Passau.     */
/*                                                                   */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/*********************************************************************/
/*
// Copyright 1994 Carsten Friedrich, Universitaet Passau
//
// $Author: friedric $
// $Date: 1995/12/18 12:22:14 $
// $RCSfile: FFTclWindow.h,v $
// $Revision: 1.2 $
// $State: Exp $
//
*/

#ifndef FF_TCL_WINDOW
#define FF_TCL_WINDOW

#include <tk.h>
#include "globdefs.h"

#include "FFTclBasicWindow.h"

class FFTclWindow: public FFTclBasicWindow
{
protected:
  String exportString;
  String importString;
  BOOL  updateInsp;
  
  virtual void _buildExportString();
  virtual void _buildLayoutMenu();
  virtual void _updateLayouter() 
    {FFTclBasicWindow::_updateLayouter();
      _buildLayoutMenu();}

public:
	virtual FFGraphLabel *proto() const {return new FFTclWindow;}
  virtual void event(labelEvent, labelEventStruct *);
  
  virtual int recall(Tcl_Interp *i, int k, char **c);
//  virtual void timer();
  virtual int exportSelection(int , char*, int);
  virtual int getSelection(char*);

  virtual void setCurrent(FFGraphicNode *);
  virtual void setCurrent(FFGraphicEdge *);
  virtual void addToCurrent(FFGraphicNode *);

  virtual void updateInspector();
  virtual void showInspector();
  
  virtual void init(const FFGraph& c);
  FFTclWindow();
  virtual ~FFTclWindow();
};

#endif


