/*********************************************************************/
/*                                                                   */
/* Copyright 1994/95/96 Carsten Friedrich, University of Passau.     */
/*                                                                   */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/*********************************************************************/
#ifndef REDUCE_CROSSINGS
#define REDUCE_CROSSINGS


#include <stream.h>
#include <string.h>
#include <ffgraph/FFGraphClass.h>
#include <ffgraph/FFNodeClass.h>
#include <ffgraph/FFGraph.h>

#include <container/AVLSet.h>
#include <container/VOHSet.h>
#include <container/VHSet.h>

#include "SLList.h"
#include <ffgraph/ffError.h>
#include <ffgraph/FFsugiyama.h>
#include <ffgraph/FFlayout_algorithmen.h>
#include <container/AVLMap.h>

void reduce_crossings (FSNode *nodes, 
		       int* nodesOfLevel,  
		       int maxlevel, int size, int cross_alg, 
		       struct FSSugiInfo info, 
		       int anzN,  
		       SLList <FFNode> *levelNodes);

#endif
