#ifndef M2_AOX_H_
#define M2_AOX_H_

#include "m2_types.h"

#define M2_AOB_HIGH(x) (((x) ? : 1) -1)
#define M2_AOC_HIGH(x) ((strlen(x) ? : 1) -1)

#ifdef EPC_MODULA

struct aob__
{
#ifndef __STDC__
  BYTE *array;
#else
  const BYTE *array;
#endif /* STDC */
  CARDINAL upper;
  CARDINAL size;
};

struct aoc__
{
#ifndef __STDC__
  CHAR *array;
#else
  const CHAR *array;
#endif /* STDC */
  CARDINAL upper;
  CARDINAL size;
};

#define M2_AOB_T(x) struct aob__ x
#define M2_AOB(att,len) ((struct aob__) {att,M2_AOB_HIGH(len),sizeof(BYTE)})
#define M2_AOC_T(x) struct aoc__ x
#define M2_AOC(att) ((struct aoc__) {att,M2_AOC_HIGH(att),sizeof(CHAR)})


#elif SUN_MODULA

#define M2_AOB_T(x) BYTE * ## x, CARDINAL High ## x
#define M2_AOB(att,len) att, M2_AOB_HIGH(len)
#define M2_AOC_T(x) CHAR * ## x, CARDINAL High ## x
#define M2_AOC(att) att, M2_AOC_HIGH(att)

#else

#error Select either EPC_MODULA or SUN_MODULA

#endif

#endif /* M2_AOX_H_ */
