#ifndef XDR_SPECIAL_H
#define XDR_SPECIAL_H

#define AOB_SIZE 256
typedef struct 
{
  CARDINAL len;
  BYTE     b[AOB_SIZE];
} AOB;
extern bool_t xdr_AOB(XDR *xdrs, AOB *objp);

typedef struct 
{
  CARDINAL len;
  BYTE     *b;
} AOBP;
extern bool_t xdr_AOBP(XDR *xdrs, AOBP *objp);

extern bool_t xdr_EvalFunction(XDR *xdrs, EvalFunction *objp);

bool_t xdr_ActionProc(XDR *xdrs, ActionProc *objp);

extern bool_t xdr_pid_t(XDR *xdrs, pid_t *objp);

typedef CHAR *AOC;

extern bool_t xdr_AOC(XDR *xdrs, AOC *objp);
extern bool_t xdr_HostName(XDR *xdrs, HostName *objp);
extern bool_t xdr_NameStringType(XDR *xdrs, NameStringType *objp);


extern bool_t xdr_S2S(XDR *xdrs, unsigned short *objp);
#endif
